--------------------------------------------------------
--  File created - domingo-enero-13-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Type LLISTAT_A
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_A" AS OBJECT 
(  
  nom varchar2(20),
  cognoms varchar2(40),
  nif varchar2(10),
  telefon varchar2(20),
  companyia varchar2(5),
  nom_companyia varchar2(40), 
  email varchar2(200), 
  pais varchar2(2), 
  idioma varchar2(3),
  n_versions integer
)

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_A_T
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_A_T" 
AS TABLE OF llistat_a;

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_B
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_B" AS OBJECT 
( 
  APLICACIO_ID	VARCHAR2(10 CHAR),
  NOM	VARCHAR2(200 CHAR),
  COMPANYIA	VARCHAR2(5 CHAR),
  NOM_COMPANYIA VARCHAR2(40),
  VIDEO_LINK	VARCHAR2(200 CHAR),
  N_DESC INTEGER
)

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_B_T
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_B_T" 
AS TABLE OF llistat_b;

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_C
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_C" AS OBJECT 
(
  pais varchar2(2),
  n_desc integer
)

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_C_T
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_C_T" 
AS TABLE OF LLISTAT_C;

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_D
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_D" AS OBJECT 
(
  data_descarrega date, 
  aplicacio varchar2(10),
  nom_aplicacio varchar2(50),
  companyia varchar2(5),
  nom_companyia varchar2(40),
  versio varchar2(20),
  sist_op varchar2(5),
  nom_sist_op varchar2(40),
  nom_fitxer varchar2(255),
  mida integer, 
  imei varchar2(15),
  dmarca varchar2(10),
  nom_marca varchar2(20),
  model varchar2(10),
  nom_model varchar2(20),
  operador varchar2(5),
  nom_operador varchar2(20),
  pais varchar2(2),
  preu number(6,2),
  mod_pag varchar2(2),
  mode_pagament varchar2(30)
)

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_D_T
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_D_T" 
AS TABLE OF llistat_d;

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_E
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_E" AS OBJECT 
( 
  telefon varchar2(30),
  email varchar2(200), 
  nom varchar2(50), 
  cognoms varchar2(100), 
  val number(6,2)
)

/

/
--------------------------------------------------------
--  DDL for Type LLISTAT_E_T
--------------------------------------------------------

  CREATE OR REPLACE TYPE "LLISTAT_E_T" 
AS TABLE OF llistat_e;

/

/
--------------------------------------------------------
--  DDL for Sequence SEQ_AUTONUMBER_DESCARREGA
--------------------------------------------------------

   CREATE SEQUENCE  "SEQ_AUTONUMBER_DESCARREGA"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 142 CACHE 20 NOORDER  NOCYCLE ;
/
--------------------------------------------------------
--  DDL for Sequence SEQ_AUTONUMBER_ERRORS
--------------------------------------------------------

   CREATE SEQUENCE  "SEQ_AUTONUMBER_ERRORS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 81 CACHE 20 NOORDER  NOCYCLE ;
/
--------------------------------------------------------
--  DDL for Sequence SEQ_AUTONUMBER_LOG
--------------------------------------------------------

   CREATE SEQUENCE  "SEQ_AUTONUMBER_LOG"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 401 CACHE 20 NOORDER  NOCYCLE ;
/
--------------------------------------------------------
--  DDL for Sequence SEQ_AUTONUMBER_USUARI
--------------------------------------------------------

   CREATE SEQUENCE  "SEQ_AUTONUMBER_USUARI"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 175 CACHE 20 NOORDER  NOCYCLE ;
/
--------------------------------------------------------
--  DDL for Table APLICACIO
--------------------------------------------------------

  CREATE TABLE "APLICACIO" 
   (	"APLICACIO_ID" VARCHAR2(10 CHAR), 
	"COMPANYIA" VARCHAR2(5 CHAR), 
	"VIDEO_LINK" VARCHAR2(200 CHAR), 
	"NOM" VARCHAR2(50 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table AUTORIA
--------------------------------------------------------

  CREATE TABLE "AUTORIA" 
   (	"APLICACIO" VARCHAR2(10 CHAR), 
	"VERSIO" VARCHAR2(20 CHAR), 
	"DESENVOLUPADOR" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table COMPANYIA
--------------------------------------------------------

  CREATE TABLE "COMPANYIA" 
   (	"COMPANYIA_ID" VARCHAR2(5 CHAR), 
	"NOM" VARCHAR2(40 CHAR), 
	"REPRESENTANT_LEGAL" VARCHAR2(50 CHAR), 
	"PAIS" VARCHAR2(2 CHAR), 
	"ADRECA" VARCHAR2(50 CHAR), 
	"CODI_POSTAL" VARCHAR2(10 CHAR), 
	"CIUTAT" VARCHAR2(20 CHAR), 
	"TELEFON" VARCHAR2(20 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table DESCARREGA
--------------------------------------------------------

  CREATE TABLE "DESCARREGA" 
   (	"IMEI" VARCHAR2(15 CHAR), 
	"OPERADOR" VARCHAR2(5 CHAR), 
	"APLICACIO" VARCHAR2(10 CHAR), 
	"VERSIO" VARCHAR2(20 CHAR), 
	"SIST_OP" VARCHAR2(5 CHAR), 
	"MOD_PAG" VARCHAR2(2 CHAR), 
	"DATA" DATE, 
	"PREU" NUMBER(6,2), 
	"USUARI" NUMBER(*,0), 
	"PAIS" VARCHAR2(2 CHAR), 
	"ID" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table DESCRIPCIO
--------------------------------------------------------

  CREATE TABLE "DESCRIPCIO" 
   (	"APLICACIO" VARCHAR2(10 CHAR), 
	"IDIOMA" CHAR(3 CHAR), 
	"DESCRIPCIO" VARCHAR2(200 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table DESENVOLUPADOR
--------------------------------------------------------

  CREATE TABLE "DESENVOLUPADOR" 
   (	"COMPANYIA" VARCHAR2(5 CHAR), 
	"USUARI" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table DISPOSITIU
--------------------------------------------------------

  CREATE TABLE "DISPOSITIU" 
   (	"IMEI" VARCHAR2(15 CHAR), 
	"MARCA" VARCHAR2(10 CHAR), 
	"MODEL" VARCHAR2(10 CHAR), 
	"USUARI" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_ANY
--------------------------------------------------------

  CREATE TABLE "E_ANY" 
   (	"YEAR" VARCHAR2(4 CHAR), 
	"NUSUARIS" NUMBER(*,0), 
	"NAPLICACIONS" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_ANY_APP
--------------------------------------------------------

  CREATE TABLE "E_ANY_APP" 
   (	"YEAR" VARCHAR2(4 CHAR), 
	"APLICACIO" VARCHAR2(10 CHAR), 
	"FACTURACIO" NUMBER(10,2), 
	"LEADERANY" CHAR(1 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_ANY_DESENV
--------------------------------------------------------

  CREATE TABLE "E_ANY_DESENV" 
   (	"YEAR" VARCHAR2(4 CHAR), 
	"NDESCARREGUES" NUMBER(*,0) DEFAULT 0, 
	"LEADERANY" CHAR(1 CHAR) DEFAULT 'N', 
	"COMPANYIA" VARCHAR2(5 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_ANY_PAIS
--------------------------------------------------------

  CREATE TABLE "E_ANY_PAIS" 
   (	"YEAR" VARCHAR2(4 CHAR), 
	"PAIS" VARCHAR2(2 CHAR), 
	"FACTURACIO" NUMBER(10,2) DEFAULT 0, 
	"NUSUARIS" NUMBER(*,0) DEFAULT 0, 
	"NAPLICACIONS" NUMBER(*,0) DEFAULT 0
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_AUX
--------------------------------------------------------

  CREATE TABLE "E_AUX" 
   (	"YEAR" VARCHAR2(4 CHAR), 
	"PAIS" VARCHAR2(2 CHAR), 
	"APLICACIO" VARCHAR2(10 CHAR), 
	"USUARI" NUMBER(*,0), 
	"PREU" NUMBER(10,2), 
	"ID" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table ERROR_MAP
--------------------------------------------------------

  CREATE TABLE "ERROR_MAP" 
   (	"ERROR_MAP_ID" NUMBER(*,0), 
	"PROCEDIMENT" VARCHAR2(100 CHAR), 
	"SQL_ERROR" VARCHAR2(10 CHAR), 
	"SQL_ELEM" VARCHAR2(50 CHAR), 
	"MISSATGE" CHAR(7 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table E_TOTAL
--------------------------------------------------------

  CREATE TABLE "E_TOTAL" 
   (	"NDESCARREGUES" NUMBER(*,0), 
	"FACTURACIO" NUMBER(10,2) DEFAULT 0
   ) ;
/
--------------------------------------------------------
--  DDL for Table FITXER
--------------------------------------------------------

  CREATE TABLE "FITXER" 
   (	"APLICACIO" VARCHAR2(10 CHAR), 
	"VERSIO" VARCHAR2(20 CHAR), 
	"SIST_OP" VARCHAR2(5 CHAR), 
	"UNC_LINK" VARCHAR2(255 CHAR), 
	"DATA_PUJADA" DATE, 
	"MIDA" NUMBER(*,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table IDIOMA
--------------------------------------------------------

  CREATE TABLE "IDIOMA" 
   (	"IDIOMA_ID" CHAR(3 CHAR), 
	"NOM" VARCHAR2(100 CHAR)
   ) ;

   COMMENT ON COLUMN "IDIOMA"."IDIOMA_ID" IS 'ISO-639-2';
/
--------------------------------------------------------
--  DDL for Table LOG
--------------------------------------------------------

  CREATE TABLE "LOG" 
   (	"LOG_ID" NUMBER(*,0), 
	"DATAHORA" DATE, 
	"PROCEDIMENT" VARCHAR2(50 CHAR), 
	"PENTRADA" VARCHAR2(200 CHAR), 
	"PSORTIDA" VARCHAR2(200 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table MARCA
--------------------------------------------------------

  CREATE TABLE "MARCA" 
   (	"MARCA_ID" VARCHAR2(10 CHAR), 
	"NOM" VARCHAR2(20 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table MISSATGE
--------------------------------------------------------

  CREATE TABLE "MISSATGE" 
   (	"MISSATGE_ID" CHAR(7 CHAR), 
	"TEXT" VARCHAR2(200 CHAR), 
	"IDIOMA" CHAR(3 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table MODEL
--------------------------------------------------------

  CREATE TABLE "MODEL" 
   (	"MODEL_ID" VARCHAR2(10 CHAR), 
	"MARCA" VARCHAR2(10 CHAR), 
	"NOM" VARCHAR2(20 CHAR), 
	"SIST_OP" VARCHAR2(5 CHAR), 
	"RESOL_H" NUMBER(6,0), 
	"RESOL_V" NUMBER(6,0)
   ) ;
/
--------------------------------------------------------
--  DDL for Table MODE_PAGAMENT
--------------------------------------------------------

  CREATE TABLE "MODE_PAGAMENT" 
   (	"MOD_PAG_ID" VARCHAR2(2 CHAR), 
	"NOM" VARCHAR2(30 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table OPERADOR
--------------------------------------------------------

  CREATE TABLE "OPERADOR" 
   (	"OP_ID" VARCHAR2(5 CHAR), 
	"NOM" VARCHAR2(20 CHAR), 
	"PAIS" VARCHAR2(2 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table PAIS
--------------------------------------------------------

  CREATE TABLE "PAIS" 
   (	"PAIS_ID" VARCHAR2(2 CHAR), 
	"NOM" VARCHAR2(40 CHAR), 
	"PREFIX" VARCHAR2(5 CHAR)
   ) ;

   COMMENT ON COLUMN "PAIS"."PAIS_ID" IS 'ISO 3166-1 alfa-2';
/
--------------------------------------------------------
--  DDL for Table PARAMETRES
--------------------------------------------------------

  CREATE TABLE "PARAMETRES" 
   (	"IDIOMA" CHAR(3 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table SISTEMA_OPERATIU
--------------------------------------------------------

  CREATE TABLE "SISTEMA_OPERATIU" 
   (	"SIST_OP_ID" VARCHAR2(5 CHAR), 
	"NOM" VARCHAR2(20 CHAR)
   ) ;
/
--------------------------------------------------------
--  DDL for Table TARIFA
--------------------------------------------------------

  CREATE TABLE "TARIFA" 
   (	"APLICACIO" VARCHAR2(10 CHAR), 
	"PAIS" VARCHAR2(2 CHAR), 
	"PREU" NUMBER(6,2)
   ) ;
/
--------------------------------------------------------
--  DDL for Table USUARI
--------------------------------------------------------

  CREATE TABLE "USUARI" 
   (	"NUM_TEL" VARCHAR2(20 CHAR), 
	"OPERADOR" VARCHAR2(5 CHAR), 
	"PAIS" VARCHAR2(2 CHAR), 
	"EMAIL" VARCHAR2(200 CHAR), 
	"IDIOMA" CHAR(3 CHAR), 
	"PREFIX_TEL" VARCHAR2(5 CHAR), 
	"USUARI_ID" NUMBER(*,0), 
	"NOM" VARCHAR2(50 CHAR), 
	"COGNOMS" VARCHAR2(100 CHAR), 
	"NIF" VARCHAR2(20 CHAR)
   ) ;

   COMMENT ON COLUMN "USUARI"."PREFIX_TEL" IS 'Calculat mitjanant trigger';
   COMMENT ON COLUMN "USUARI"."USUARI_ID" IS 'Autonumerat';
/
--------------------------------------------------------
--  DDL for Table VERSIO
--------------------------------------------------------

  CREATE TABLE "VERSIO" 
   (	"VERSIO_ID" VARCHAR2(20 CHAR), 
	"APLICACIO" VARCHAR2(10 CHAR), 
	"RESOL_H" NUMBER(6,0), 
	"RESOL_V" NUMBER(6,0), 
	"ACTIVA" CHAR(1 CHAR)
   ) ;

   COMMENT ON COLUMN "VERSIO"."ACTIVA" IS 'Valors (Y,N)';
/
REM INSERTING into APLICACIO
SET DEFINE OFF;
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('ADAIR','ADOBE','http://www.adobe.com/air/video.html','Adobe Air');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('SKWORKOUTT','SKIMB','http://www.skimble.com/wt/video.html','Workout Trainer');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('WHATSAPP02','WHTSP','http://whatsapp.com/download/app.php','WhatsApp');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('1111100000','ADOBE','http://youtuve.cat/app','Acrobat Reader');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('FLSHPLAYER','ADOBE','http://flashplayer.com/video','Adobe FlashPlayer');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('FASHIONKAL','INPOR','https://youtube.com/FashionK','Fashion Kaleidoscope');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('KINGDOMROY','GAMEV','https://youtube.com/KR','Kingdom Royale');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('ZENONIA000','GAMEV','https://youtube.com/ZENO','ZENONIA');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('BINGMAPS00','MSOFT','https://youtube.com/BMAPS','Bing Maps');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('0000000000','INPOR','https://youtube.com/000','Sample 0');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('0000000001','MSOFT','https://youtube.com/001','Sample 1');
Insert into APLICACIO (APLICACIO_ID,COMPANYIA,VIDEO_LINK,NOM) values ('0000000002','ADOBE','https://youtube.com/002','Sample 2');
REM INSERTING into AUTORIA
SET DEFINE OFF;
Insert into AUTORIA (APLICACIO,VERSIO,DESENVOLUPADOR) values ('ADAIR','1.2','145');
Insert into AUTORIA (APLICACIO,VERSIO,DESENVOLUPADOR) values ('SKWORKOUTT','1.2','144');
REM INSERTING into COMPANYIA
SET DEFINE OFF;
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('SKIMB','Skimble Inc.','Peter Frampton','US','5th Avenue, 233','7566','New York','7654377');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('ADOBE','Adobe Inc','Mike Jagger','JM','Huckleberry st. 34','85445','Charlestown','785454');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('DEFIA','Defiant Development','Josep Garriga','ES','Sicilia, 444','08033','Barcelona','67788777');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('WHTSP','Whatsapp Inc','Peter Smith','US','5th Ave, 45','Ny566','New York','877737423');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('GOOGL','Google Inc','Joan Snchez','US','6th Street','8 888','Mountain View, CA','8765552');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('MSOFT','Microsoft','Jane Stewart','US','5th Street','6 455','Redmond','4324222');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('GAMEV','GAMEVIL Inc.','John Nash','GB','Madison St. 67','87888','London','4324762');
Insert into COMPANYIA (COMPANYIA_ID,NOM,REPRESENTANT_LEGAL,PAIS,ADRECA,CODI_POSTAL,CIUTAT,TELEFON) values ('INPOR','Inporia Jocs','Joan Snchez','ES','Sardenya 56','08056','Barcelona','93432222');
REM INSERTING into DESCARREGA
SET DEFINE OFF;
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('666666666666667','ORA1','ADAIR','1.2','AND','TC',to_timestamp('02/01/13 18:11:39','DD/MM/RR HH24:MI:SSXFF'),'11,1','47','PT','23');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('876453657458750','O2','SKWORKOUTT','1.2','AND','TC',to_timestamp('12/01/13 19:46:02','DD/MM/RR HH24:MI:SSXFF'),'10',null,'PT','27');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('666666666666667','ORA1','SKWORKOUTT','1.2','AND','TC',to_timestamp('12/01/13 19:39:16','DD/MM/RR HH24:MI:SSXFF'),'5,2','47','PT','26');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('876453657458750','O2','ADAIR','1.2','AND','TC',to_timestamp('12/01/13 20:03:57','DD/MM/RR HH24:MI:SSXFF'),'2,6',null,'PT','29');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('423334243423342','O2','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3','135','ES','100');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000240','ORA1','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,3','162','ES','101');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000257','O2','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,6','121','FI','102');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000109','VFES','SKWORKOUTT','1.2','IOS','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,9','166','IT','103');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000117','ORA1','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,1','160','DE','104');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000125','O2','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,12','155','PT','105');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000133','DTEL','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,15','163','PT','106');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000141','VFES','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,17','167','ES','107');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000158','O2','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,54','165','GB','108');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000166','DTEL','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,89','161','IT','109');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000174','O2','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,23','117','RU','110');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000182','ORA1','SKWORKOUTT','1.2','IOS','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,88','158','ES','111');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('101111111111111','ORA1','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,22','43','ES','112');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000091','ORA1','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,33','43','ES','113');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('010101010101016','VFES','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,44','41','GB','114');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('423434234234235','DTEL','SKWORKOUTT','1.2','IOS','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,46','51','DE','115');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('666666666666667','ORA1','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,89','47','PT','116');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('987978967895784','O2','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,99','144','GB','117');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('012345678801239','VFES','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,77','41','GB','118');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000083','O2','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,38','145','GB','119');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000190','DTEL','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,09','159','GB','120');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000208','ORA1','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,05','164','DE','121');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000216','ORA1','SKWORKOUTT','1.2','AND','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,23','169','US','122');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000224','ORA1','SKWORKOUTT','1.2','BB7','TC',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'3,44','168','US','123');
Insert into DESCARREGA (IMEI,OPERADOR,APLICACIO,VERSIO,SIST_OP,MOD_PAG,DATA,PREU,USUARI,PAIS,ID) values ('000000000000232','ORA1','0000000002','0.1','SYM3','TC',to_timestamp('13/01/13 00:26:43','DD/MM/RR HH24:MI:SSXFF'),'3,66','168','US','125');
REM INSERTING into DESCRIPCIO
SET DEFINE OFF;
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('ZENONIA000','eng','The return of classic action RPG! ');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('WHATSAPP02','eng','Free app to exchange messages');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('FLSHPLAYER','eng','Flash Player Loader lets you browse the flash files (SWF and FLV) on your phone, load, and play them on your phone.');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('SKWORKOUTT','cat','App per possar-se en forma');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('SKWORKOUTT','eng','Fitnnes App');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('ADAIR','cat','Transporti al client a un mn d''experincies ms enll del navegador');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('ADAIR','eng','enables developers to package the same code into native apps for iPhone, iPad, Kindle Fire, Nook Tablet, and other Android');
Insert into DESCRIPCIO (APLICACIO,IDIOMA,DESCRIPCIO) values ('WHATSAPP02','cat','Aplicaci gratuita d''intercanvi de missatges');
REM INSERTING into DESENVOLUPADOR
SET DEFINE OFF;
Insert into DESENVOLUPADOR (COMPANYIA,USUARI) values ('ADOBE','145');
Insert into DESENVOLUPADOR (COMPANYIA,USUARI) values ('SKIMB','144');
Insert into DESENVOLUPADOR (COMPANYIA,USUARI) values ('ADOBE','43');
Insert into DESENVOLUPADOR (COMPANYIA,USUARI) values ('INPOR','41');
Insert into DESENVOLUPADOR (COMPANYIA,USUARI) values ('WHTSP','47');
REM INSERTING into DISPOSITIU
SET DEFINE OFF;
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('423334243423342','BB','9900','135');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000240','BB','9900','162');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000257','NOKIA','K7','121');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000109','APPLE','IPHO5','166');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000117','SAMSUNG','GALS3','160');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000125','SAMSUNG','GALS2','155');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000133','SAMSUNG','GALS3','163');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000141','BB','9900','167');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000158','NOKIA','K7','165');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000166','BB','9900','161');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000174','NOKIA','K7','117');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000182','APPLE','IPHO5','158');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('101111111111111','BB','9700','43');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000091','BB','9900','43');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('010101010101016','NOKIA','K7','41');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('423434234234235','APPLE','IPHO5','51');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('666666666666667','SAMSUNG','GALS3','47');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('987978967895784','SAMSUNG','GALS2','144');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('876453657458750','SAMSUNG','GALS3',null);
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('012345678801239','BB','9900','41');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000083','NOKIA','K7','145');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000190','SAMSUNG','GALS3','159');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000208','SAMSUNG','GALS2','164');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000216','SAMSUNG','GALS3','169');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000224','BB','9900','168');
Insert into DISPOSITIU (IMEI,MARCA,MODEL,USUARI) values ('000000000000232','NOKIA','K7','168');
REM INSERTING into E_ANY
SET DEFINE OFF;
Insert into E_ANY (YEAR,NUSUARIS,NAPLICACIONS) values ('2013','23','29');
REM INSERTING into E_ANY_APP
SET DEFINE OFF;
Insert into E_ANY_APP (YEAR,APLICACIO,FACTURACIO,LEADERANY) values ('2013','0000000002','20,85','N');
Insert into E_ANY_APP (YEAR,APLICACIO,FACTURACIO,LEADERANY) values ('2013','ADAIR','13,7','N');
Insert into E_ANY_APP (YEAR,APLICACIO,FACTURACIO,LEADERANY) values ('2013','SKWORKOUTT','80,18','Y');
REM INSERTING into E_ANY_DESENV
SET DEFINE OFF;
Insert into E_ANY_DESENV (YEAR,NDESCARREGUES,LEADERANY,COMPANYIA) values ('2013','8','N','ADOBE');
Insert into E_ANY_DESENV (YEAR,NDESCARREGUES,LEADERANY,COMPANYIA) values ('2013','21','Y','SKIMB');
REM INSERTING into E_ANY_PAIS
SET DEFINE OFF;
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','PT','39,06','4','2');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','GB','21,21','5','2');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','DE','9,61','3','1');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','US','10,33','2','2');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','ES','19,9','5','1');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','IT','7,79','2','1');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','FI','3,6','1','1');
Insert into E_ANY_PAIS (YEAR,PAIS,FACTURACIO,NUSUARIS,NAPLICACIONS) values ('2013','RU','3,23','1','1');
REM INSERTING into E_AUX
SET DEFINE OFF;
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','ADAIR','47','11,1','23');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','SKWORKOUTT','47','5,2','26');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','SKWORKOUTT','46','10','27');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','ADAIR','46','2,6','29');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','135','3','100');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','162','3,3','101');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','FI','0000000002','121','3,6','102');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','IT','SKWORKOUTT','166','3,9','103');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','DE','SKWORKOUTT','160','3,1','104');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','SKWORKOUTT','155','3,12','105');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','SKWORKOUTT','163','3,15','106');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','167','3,17','107');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','0000000002','165','3,54','108');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','IT','SKWORKOUTT','161','3,89','109');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','RU','0000000002','117','3,23','110');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','158','3,88','111');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','43','3,22','112');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','ES','SKWORKOUTT','43','3,33','113');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','0000000002','41','3,44','114');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','DE','SKWORKOUTT','51','3,46','115');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','PT','SKWORKOUTT','47','3,89','116');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','SKWORKOUTT','144','3,99','117');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','SKWORKOUTT','41','3,77','118');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','0000000002','145','3,38','119');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','GB','SKWORKOUTT','159','3,09','120');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','DE','SKWORKOUTT','164','3,05','121');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','US','SKWORKOUTT','169','3,23','122');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','US','SKWORKOUTT','168','3,44','123');
Insert into E_AUX (YEAR,PAIS,APLICACIO,USUARI,PREU,ID) values ('2013','US','0000000002','168','3,66','125');
REM INSERTING into ERROR_MAP
SET DEFINE OFF;
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('42',null,'ORA-02290','APLICACIO_CHK2','TFC-017');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('43',null,'ORA-02290','VERSIO_CHK1','TFC-018');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('44','APLICACIO_B','ORA-01403',null,'TFC-019');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('45','APLICACIO_M','ORA-01403',null,'TFC-019');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('46','DESCARREGA_A','ORA-01403','DISPOSITIU','TFC-020');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('47','DESCARREGA_A','ORA-01403','USUARI','TFC-009');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('48','DESCARREGA_A','ORA-01403','TARIFA','TFC-021');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('49','DESCARREGA_A','ORA-01403','FITXER','TFC-022');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('50','DESCARREGA_A','ORA-02291','DESCARREGA_MOD_PAG_FK1','TFC-023');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('51',null,'ORA-20102',null,'TFC-024');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('52',null,'ORA-20103',null,'TFC-025');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('53',null,'ORA-20104',null,'TFC-026');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('54','LLISTAT_A_DESENVOLUPADORS','ORA-01403',null,'TFC-005');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('55','LLISTAT_A_DESENVOLUPADORS_2','ORA-01403',null,'TFC-005');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('56','LLISTAT_C_PAISOS','ORA-01403',null,'TFC-019');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('57','DESCARREGA_A','ORA-01403','VERSIO','TFC-019');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('59',null,'ORA-20105',null,'TFC-027');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('60','DESCARREGA_A','ORA-01403','USUARI','TFC-028');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('61',null,'ORA-02290','APLICACIO_CHK1','TFC-029');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('62','EST_3_MITJANA_AP','ORA-01476',null,'TFC-030');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('63','EST_4_COMPANYIA_LEADER','ORA-01476',null,'TFC-031');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('64','EST_5_APP_LEADER','ORA-01476',null,'TFC-031');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('66','LLISTAT_D_DESCARREGUES','ORA-01403',null,'TFC-032');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('1',null,'ORA-00001','USUARI_UK2','TFC-001');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('3',null,'ORA-00001','USUARI_UK3','TFC-002');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('2',null,'ORA-00001','USUARI_UK1','TFC-003');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('4',null,'ORA-02291','USUARI_IDIOMA_FK1','TFC-004');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('5',null,'ORA-02291','USUARI_PAIS_FK1','TFC-005');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('6',null,'ORA-02291','USUARI_OPERADOR_FK1','TFC-006');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('7',null,'ORA-02290','CHK_EMAIL','TFC-007');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('8',null,'ORA-02290','CHK_NUM_TEL','TFC-008');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('10','USUARI_B','ORA-01403',null,'TFC-009');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('11',null,'ORA-02292','DESENVOLUPADOR_USUARI_FK1','TFC-010');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('13','USUARI_M','ORA-01403',null,'TFC-009');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('14','DESENVOLUPADOR_A','ORA-00001','DESENVOLUPADOR_PK','TFC-011');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('16',null,'ORA-02291','DESENVOLUPADOR_COMPANYIA_FK1','TFC-012');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('17','DESENVOLUPADOR_B','ORA-01403',null,'TFC-009');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('18',null,'ORA-02292','AUTORIA_DESENVOLUPADOR_FK1','TFC-013');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('19','DESENVOLUPADOR_M','ORA-01403',null,'TFC-014');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('20',null,'ORA-00001','VERSIO_PK','TFC-015');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('21',null,'ORA-02291','APLICACIO_COMPANYIA_FK1','TFC-012');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('22',null,'ORA-02290','APLICACIO_CHK2','TFC-013');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('23',null,'ORA-02290','VERSIO_CHK1','TFC-014');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('24','APLICACIO_B','ORA-01403',null,'TFC-015');
Insert into ERROR_MAP (ERROR_MAP_ID,PROCEDIMENT,SQL_ERROR,SQL_ELEM,MISSATGE) values ('25',null,'ORA-02292','FITXER_VERSIO_FK1','TFC-016');
REM INSERTING into E_TOTAL
SET DEFINE OFF;
Insert into E_TOTAL (NDESCARREGUES,FACTURACIO) values ('29','114,73');
REM INSERTING into FITXER
SET DEFINE OFF;
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('0000000001','3.0','BB7','\\server2\bb7\test.zip',to_timestamp('02/01/13 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'34544');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('ADAIR','1.2','AND','\\server\apps\android\adair.arj',to_timestamp('01/01/13 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'45999');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('ADAIR','1.2','IOS','\\server\apps\ios\adair.exe',to_timestamp('15/12/12 12:13:14','DD/MM/RR HH24:MI:SSXFF'),'45002');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('0000000000','3.15','BB7','\\123\files\000\aa sasd.jar',to_timestamp('10/12/12 10:35:00','DD/MM/RR HH24:MI:SSXFF'),'312670');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','BB7','\\server4\bb7\workout_1_2.zpx',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'12020');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','IOS','\\server4\IOS\workout_1_2.sld',to_timestamp('23/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'23000');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('1111100000','4.4','BB7','\\server2\app\123.exe',to_timestamp('22/12/12 10:34:00','DD/MM/RR HH24:MI:SSXFF'),'443434');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('KINGDOMROY','3.0','SYM3','\\server_apps\sym3\kdr\3\kdr.jar',to_timestamp('23/12/11 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'233000');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('WHATSAPP02','4.0','BB7','\\server\apps\whatsapp.jar',to_timestamp('12/12/12 10:12:00','DD/MM/RR HH24:MI:SSXFF'),'34555');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('FASHIONKAL','3.15','BB7','\\server\apps\bb\fashka.jar',to_timestamp('12/12/12 10:12:00','DD/MM/RR HH24:MI:SSXFF'),'34755');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('FASHIONKAL','3.15','IOS','\\server\apps\ios\fashka.jar',to_timestamp('12/12/12 10:12:00','DD/MM/RR HH24:MI:SSXFF'),'34795');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('WHATSAPP02','4.0','IOS','\\server\apps\ios\whatsapp.jar',to_timestamp('12/12/12 12:12:00','DD/MM/RR HH24:MI:SSXFF'),'35795');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('0000000002','0.1','BB7','\\server\apps\bb7\4234234',to_timestamp('15/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'23300');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','AND','\\123\files\and\sasd.jar',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'112400');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','WINPH','\\123\files\win1\sasd.jar',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'112400');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','WINMO','\\123\files\win2\sasd.jar',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'112400');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('SKWORKOUTT','1.2','SYM3','\\123\files\sym3\sasd.jar',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'112400');
Insert into FITXER (APLICACIO,VERSIO,SIST_OP,UNC_LINK,DATA_PUJADA,MIDA) values ('0000000002','0.1','SYM3','\\123\files\sym3\002.jar',to_timestamp('12/12/12 00:00:00','DD/MM/RR HH24:MI:SSXFF'),'112400');
REM INSERTING into IDIOMA
SET DEFINE OFF;
Insert into IDIOMA (IDIOMA_ID,NOM) values ('oss','Ossetian; Ossetic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ota','Turkish, Ottoman (1500-1928)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('oto','Otomian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('paa','Papuan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pag','Pangasinan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pal','Pahlavi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pam','Pampanga; Kapampangan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pan','Panjabi; Punjabi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pap','Papiamento');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pau','Palauan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('peo','Persian, Old (ca.600-400 B.C.)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('per','Persian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('phi','Philippine languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('phn','Phoenician');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pli','Pali');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pol','Polish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pon','Pohnpeian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('por','Portuguese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pra','Prakrit languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pro','Provenal, Old (to 1500)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('pus','Pushto; Pashto');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('que','Quechua');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('raj','Rajasthani');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rap','Rapanui');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rar','Rarotongan; Cook Islands Maori');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('roa','Romance languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('roh','Romansh');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rom','Romany');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rum','Romanian; Moldavian; Moldovan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('run','Rundi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rup','Aromanian; Arumanian; Macedo-Romanian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('rus','Russian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sad','Sandawe');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sag','Sango');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sah','Yakut');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sai','South American Indian (Other)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sal','Salishan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sam','Samaritan Aramaic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('san','Sanskrit');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sas','Sasak');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sat','Santali');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('scn','Sicilian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sco','Scots');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sel','Selkup');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sem','Semitic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sga','Irish, Old (to 900)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sgn','Sign Languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('shn','Shan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sid','Sidamo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sin','Sinhala; Sinhalese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sio','Siouan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sit','Sino-Tibetan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sla','Slavic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('slo','Slovak');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('slv','Slovenian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sma','Southern Sami');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sme','Northern Sami');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('smi','Sami languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('smj','Lule Sami');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('smn','Inari Sami');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('smo','Samoan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sms','Skolt Sami');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sna','Shona');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('snd','Sindhi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('snk','Soninke');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sog','Sogdian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('som','Somali');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('son','Songhai languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sot','Sotho, Southern');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('spa','Spanish; Castilian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('srd','Sardinian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('srn','Sranan Tongo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('srp','Serbian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('srr','Serer');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ssa','Nilo-Saharan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ssw','Swati');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('suk','Sukuma');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sun','Sundanese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sus','Susu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('sux','Sumerian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('swa','Swahili');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('swe','Swedish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('syc','Classical Syriac');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('syr','Syriac');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tah','Tahitian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tai','Tai languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tam','Tamil');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tat','Tatar');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tel','Telugu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tem','Timne');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ter','Tereno');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tet','Tetum');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tgk','Tajik');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tgl','Tagalog');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tha','Thai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tib','Tibetan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tig','Tigre');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tir','Tigrinya');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tiv','Tiv');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tkl','Tokelau');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tlh','Klingon; tlhIngan-Hol');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tli','Tlingit');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tmh','Tamashek');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tog','Tonga (Nyasa)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ton','Tonga (Tonga Islands)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tpi','Tok Pisin');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tsi','Tsimshian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tsn','Tswana');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tso','Tsonga');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tuk','Turkmen');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tum','Tumbuka');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tup','Tupi languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tur','Turkish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tut','Altaic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tvl','Tuvalu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('twi','Twi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('tyv','Tuvinian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('udm','Udmurt');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('uga','Ugaritic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('uig','Uighur; Uyghur');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ukr','Ukrainian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('umb','Umbundu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('und','Undetermined');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('urd','Urdu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('uzb','Uzbek');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('vai','Vai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ven','Venda');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('vie','Vietnamese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('vol','Volapk');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('vot','Votic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wak','Wakashan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wal','Walamo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('war','Waray');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('was','Washo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wel','Welsh');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wen','Sorbian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wln','Walloon');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('wol','Wolof');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('xal','Kalmyk; Oirat');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('xho','Xhosa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('yao','Yao');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('yap','Yapese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('yid','Yiddish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('yor','Yoruba');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ypk','Yupik languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zap','Zapotec');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zbl','Blissymbols; Blissymbolics; Bliss');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zen','Zenaga');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zha','Zhuang; Chuang');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('znd','Zande languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zul','Zulu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zun','Zuni');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zxx','No linguistic content; Not applicable');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('zza','Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('aar','Afar');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('abk','Abkhazian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ace','Achinese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ach','Acoli');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ada','Adangme');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ady','Adyghe; Adygei');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('afa','Afro-Asiatic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('afh','Afrihili');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('afr','Afrikaans');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ain','Ainu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('aka','Akan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('akk','Akkadian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('alb','Albanian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ale','Aleut');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('alg','Algonquian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('alt','Southern Altai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('amh','Amharic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ang','English, Old (ca.450-1100)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('anp','Angika');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('apa','Apache languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ara','Arabic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arc','Official Aramaic (700-300 BCE); Imperial Aramaic (700-300 BCE)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arg','Aragonese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arm','Armenian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arn','Mapudungun; Mapuche');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arp','Arapaho');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('art','Artificial languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('arw','Arawak');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('asm','Assamese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ast','Asturian; Bable; Leonese; Asturleonese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ath','Athapascan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('aus','Australian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ava','Avaric');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ave','Avestan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('awa','Awadhi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('aym','Aymara');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('aze','Azerbaijani');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bad','Banda languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bai','Bamileke languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bak','Bashkir');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bal','Baluchi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bam','Bambara');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ban','Balinese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('baq','Basque');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bas','Basa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bat','Baltic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bej','Beja; Bedawiyet');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bel','Belarusian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bem','Bemba');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ben','Bengali');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ber','Berber languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bho','Bhojpuri');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bih','Bihari languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bik','Bikol');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bin','Bini; Edo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bis','Bislama');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bla','Siksika');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bnt','Bantu (Other)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bos','Bosnian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bra','Braj');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bre','Breton');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('btk','Batak languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bua','Buriat');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bug','Buginese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bul','Bulgarian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('bur','Burmese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('byn','Blin; Bilin');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cad','Caddo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cai','Central American Indian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('car','Galibi Carib');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cat','Catalan; Valencian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cau','Caucasian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ceb','Cebuano');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cel','Celtic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cha','Chamorro');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chb','Chibcha');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('che','Chechen');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chg','Chagatai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chi','Chinese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chk','Chuukese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chm','Mari');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chn','Chinook jargon');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cho','Choctaw');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chp','Chipewyan; Dene Suline');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chr','Cherokee');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chu','Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chv','Chuvash');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('chy','Cheyenne');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cmc','Chamic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cop','Coptic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cor','Cornish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cos','Corsican');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cpe','Creoles and pidgins, English based');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cpf','Creoles and pidgins, French-based ');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cpp','Creoles and pidgins, Portuguese-based ');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cre','Cree');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('crh','Crimean Tatar; Crimean Turkish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('crp','Creoles and pidgins ');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('csb','Kashubian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cus','Cushitic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('cze','Czech');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dak','Dakota');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dan','Danish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dar','Dargwa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('day','Land Dayak languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('del','Delaware');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('den','Slave (Athapascan)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dgr','Dogrib');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('din','Dinka');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('div','Divehi; Dhivehi; Maldivian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('doi','Dogri');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dra','Dravidian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dsb','Lower Sorbian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dua','Duala');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dum','Dutch, Middle (ca.1050-1350)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dut','Dutch; Flemish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dyu','Dyula');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('dzo','Dzongkha');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('efi','Efik');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('egy','Egyptian (Ancient)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('eka','Ekajuk');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('elx','Elamite');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('eng','English');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('enm','English, Middle (1100-1500)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('epo','Esperanto');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('est','Estonian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ewe','Ewe');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ewo','Ewondo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fan','Fang');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fao','Faroese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fat','Fanti');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fij','Fijian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fil','Filipino; Pilipino');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fin','Finnish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fiu','Finno-Ugrian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fon','Fon');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fre','French');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('frm','French, Middle (ca.1400-1600)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fro','French, Old (842-ca.1400)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('frr','Northern Frisian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('frs','Eastern Frisian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fry','Western Frisian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ful','Fulah');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('fur','Friulian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gaa','Ga');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gay','Gayo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gba','Gbaya');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gem','Germanic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('geo','Georgian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ger','German');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gez','Geez');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gil','Gilbertese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gla','Gaelic; Scottish Gaelic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gle','Irish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('glg','Galician');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('glv','Manx');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gmh','German, Middle High (ca.1050-1500)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('goh','German, Old High (ca.750-1050)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gon','Gondi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gor','Gorontalo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('got','Gothic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('grb','Grebo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('grc','Greek, Ancient (to 1453)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gre','Greek, Modern (1453-)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('grn','Guarani');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gsw','Swiss German; Alemannic; Alsatian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('guj','Gujarati');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('gwi','Gwich''in');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hai','Haida');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hat','Haitian; Haitian Creole');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hau','Hausa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('haw','Hawaiian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('heb','Hebrew');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('her','Herero');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hil','Hiligaynon');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('him','Himachali languages; Western Pahari languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hin','Hindi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hit','Hittite');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hmn','Hmong; Mong');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hmo','Hiri Motu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hrv','Croatian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hsb','Upper Sorbian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hun','Hungarian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('hup','Hupa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('iba','Iban');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ibo','Igbo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ice','Icelandic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ido','Ido');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('iii','Sichuan Yi; Nuosu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ijo','Ijo languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('iku','Inuktitut');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ile','Interlingue; Occidental');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ilo','Iloko');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ina','Interlingua (International Auxiliary Language Association)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('inc','Indic languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ind','Indonesian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ine','Indo-European languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('inh','Ingush');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ipk','Inupiaq');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ira','Iranian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('iro','Iroquoian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ita','Italian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('jav','Javanese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('jbo','Lojban');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('jpn','Japanese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('jpr','Judeo-Persian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('jrb','Judeo-Arabic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kaa','Kara-Kalpak');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kab','Kabyle');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kac','Kachin; Jingpho');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kal','Kalaallisut; Greenlandic');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kam','Kamba');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kan','Kannada');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kar','Karen languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kas','Kashmiri');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kau','Kanuri');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kaw','Kawi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kaz','Kazakh');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kbd','Kabardian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kha','Khasi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('khi','Khoisan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('khm','Central Khmer');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kho','Khotanese; Sakan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kik','Kikuyu; Gikuyu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kin','Kinyarwanda');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kir','Kirghiz; Kyrgyz');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kmb','Kimbundu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kok','Konkani');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kom','Komi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kon','Kongo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kor','Korean');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kos','Kosraean');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kpe','Kpelle');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('krc','Karachay-Balkar');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('krl','Karelian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kro','Kru languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kru','Kurukh');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kua','Kuanyama; Kwanyama');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kum','Kumyk');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kur','Kurdish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('kut','Kutenai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lad','Ladino');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lah','Lahnda');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lam','Lamba');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lao','Lao');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lat','Latin');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lav','Latvian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lez','Lezghian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lim','Limburgan; Limburger; Limburgish');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lin','Lingala');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lit','Lithuanian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lol','Mongo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('loz','Lozi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ltz','Luxembourgish; Letzeburgesch');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lua','Luba-Lulua');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lub','Luba-Katanga');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lug','Ganda');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lui','Luiseno');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lun','Lunda');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('luo','Luo (Kenya and Tanzania)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('lus','Lushai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mac','Macedonian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mad','Madurese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mag','Magahi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mah','Marshallese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mai','Maithili');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mak','Makasar');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mal','Malayalam');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('man','Mandingo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mao','Maori');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('map','Austronesian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mar','Marathi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mas','Masai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('may','Malay');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mdf','Moksha');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mdr','Mandar');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('men','Mende');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mga','Irish, Middle (900-1200)');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mic','Mi''kmaq; Micmac');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('min','Minangkabau');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mis','Uncoded languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mkh','Mon-Khmer languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mlg','Malagasy');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mlt','Maltese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mnc','Manchu');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mni','Manipuri');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mno','Manobo languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('moh','Mohawk');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mon','Mongolian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mos','Mossi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mul','Multiple languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mun','Munda languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mus','Creek');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mwl','Mirandese');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('mwr','Marwari');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('myn','Mayan languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('myv','Erzya');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nah','Nahuatl languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nai','North American Indian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nap','Neapolitan');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nau','Nauru');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nav','Navajo; Navaho');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nbl','Ndebele, South; South Ndebele');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nde','Ndebele, North; North Ndebele');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ndo','Ndonga');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nds','Low German; Low Saxon; German, Low; Saxon, Low');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nep','Nepali');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('new','Nepal Bhasa; Newari');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nia','Nias');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nic','Niger-Kordofanian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('niu','Niuean');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nno','Norwegian Nynorsk; Nynorsk, Norwegian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nob','Bokml, Norwegian; Norwegian Bokml');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nog','Nogai');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('non','Norse, Old');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nor','Norwegian');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nqo','N''Ko');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nso','Pedi; Sepedi; Northern Sotho');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nub','Nubian languages');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nwc','Classical Newari; Old Newari; Classical Nepal Bhasa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nya','Chichewa; Chewa; Nyanja');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nym','Nyamwezi');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nyn','Nyankole');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nyo','Nyoro');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('nzi','Nzima');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('oci','Occitan (post 1500); Provenal');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('oji','Ojibwa');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('ori','Oriya');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('orm','Oromo');
Insert into IDIOMA (IDIOMA_ID,NOM) values ('osa','Osage');
REM INSERTING into LOG
SET DEFINE OFF;
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('369',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423334243423342 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('370',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000240 | 3,3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('371',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 000000000000257 | 3,6 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('372',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000109 | 3,9 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('373',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000117 | 3,1 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('374',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000125 | 3,12 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('375',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000133 | 3,15 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('376',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000141 | 3,17 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('377',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 000000000000158 | 3,54 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('378',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000166 | 3,89 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('379',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 000000000000174 | 3,23 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('380',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000182 | 3,88 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('381',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 101111111111111 | 3,22 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('382',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000091 | 3,33 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('383',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 010101010101016 | 3,44 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('384',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423434234234235 | 3,46 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('385',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 666666666666667 | 3,89 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('386',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 987978967895784 | 3,99 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('367',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000224 | 3,44 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('368',to_timestamp('13/01/13 00:13:19','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_E_USUARIS','2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('387',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 012345678801239 | 3,77 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('388',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 000000000000083 | 3,38 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('389',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000190 | 3,09 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('390',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000208 | 3,05 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('391',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000216 | 3,23 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('392',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000224 | 3,44 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('393',to_timestamp('13/01/13 00:24:51','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000232 | 3,66 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('394',to_timestamp('13/01/13 00:26:43','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','0000000002 | 0.1 | 000000000000232 | 3,66 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('395',to_timestamp('13/01/13 00:33:21','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_E_USUARIS','2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('396',to_timestamp('13/01/13 01:34:04','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_A_DESENVOLUPADORS','GB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('397',to_timestamp('13/01/13 01:35:25','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_B_APLICACIONS',null,'OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('398',to_timestamp('13/01/13 01:39:52','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_C_PAISOS','ADAIR | 2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('399',to_timestamp('13/01/13 01:42:02','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_C_PAISOS','SKWORKOUTT | 2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('400',to_timestamp('13/01/13 01:43:58','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_D_DESCARREGUES','+3364634645','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('246',to_timestamp('12/01/13 12:36:22','DD/MM/RR HH24:MI:SSXFF'),'USUARI_A','12345@123.com | Pere Joan | Prova Prova | 34424135H | 98807887 | FI | O2 | cat','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('247',to_timestamp('12/01/13 12:48:45','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/wt/video.html | 1.2 | 400 | 300 | Y','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('248',to_timestamp('12/01/13 12:50:43','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','12345nou@123.com | Peter | Gabriel | 3442W133H | 98874870 | GB | O2 | eng | SKIMB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('249',to_timestamp('12/01/13 12:54:25','DD/MM/RR HH24:MI:SSXFF'),'USUARI_A','123456@123.com | Pere Joan | Prova Prova | 34429135J | 98807887 | FI | O2 | cat','ERROR TFC-003: Ja existeix un usuari amb aquest telfon');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('250',to_timestamp('12/01/13 12:56:00','DD/MM/RR HH24:MI:SSXFF'),'USUARI_A','12345@123.com | Pere Joan | Prova Prova | 34429135J | 98867887 | FI | O2 | cat','ERROR TFC-001: Ja existeix un usuari amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('251',to_timestamp('12/01/13 12:57:21','DD/MM/RR HH24:MI:SSXFF'),'USUARI_A','12345123.com | Pere Joan | Prova Prova | 34429135J | 98867887 | FI | O2 | cat','ERROR TFC-007: Adrea e-mail incorrecte');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('252',to_timestamp('12/01/13 12:58:42','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','SKWORKOUTT | Workout Trainer | 00000 | http://www.skimble.com/wt/video.html | 1.2 | 400 | 300 | Y','ERROR TFC-012: Codi de companyia inexistent');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('253',to_timestamp('12/01/13 13:00:40','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/wt/video.html | 1.3 | 400 | 300 | Y','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('254',to_timestamp('12/01/13 13:01:45','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/wt/video.html | 1.3 | 400 | 300 | Y','ERROR TFC-015: La versi ja existeix');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('255',to_timestamp('12/01/13 13:04:02','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','SKWORKOUTT | Workout Trainer | SKIMB | httpz://www.skimble.com/wt/video.html | 1.4 | 400 | 300 | Y','ERROR TFC-017: Enlla URL incorrecte');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('256',to_timestamp('12/01/13 13:20:05','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','12345nou@123.com | Peter | Gabriel | 3442W133H | 98874870 | GB | O2 | eng | SKIMB','ERROR TFC-011: Ja existeix un desenvolupador amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('257',to_timestamp('12/01/13 13:21:47','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','1234@123.com | Peter | Gabriel | 3442W133H | 98874870 | GB | O2 | zzz | SKIMB','ERROR TFC-003: Ja existeix un usuari amb aquest telfon');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('258',to_timestamp('12/01/13 13:21:58','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','1234@123.com | Peter | Gabriel | 3442W133H | 9884870 | GB | O2 | zzz | SKIMB','ERROR TFC-002: Ja existeix un usuari amb aquests NIF i pas');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('259',to_timestamp('12/01/13 13:23:23','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','1234@123.com | Peter | Gabriel | 3442W133H | 9884870 | PO | O2 | zzz | SKIMB','ERROR TFC-005: Codi de pas inexistent');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('260',to_timestamp('12/01/13 13:23:35','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','1234@123.com | Peter | Gabriel | 3442W133H | 9884870 | PT | O2 | zzz | SKIMB','ERROR TFC-004: Codi d''idioma inexistent');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('261',to_timestamp('12/01/13 13:28:39','DD/MM/RR HH24:MI:SSXFF'),'USUARI_M','12345@123.com | Pere | Prova | 34424134H | 988781787 | ES | O2 | cat | mail_c@123.com','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('262',to_timestamp('12/01/13 13:30:13','DD/MM/RR HH24:MI:SSXFF'),'USUARI_M','12345@123.com | Pere | Prova | 34424134H | 988781787 | ES | O2 | cat | mail_c@123.com','ERROR TFC-009: No existeix cap usuari amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('263',to_timestamp('12/01/13 13:31:16','DD/MM/RR HH24:MI:SSXFF'),'USUARI_M','mail_c@123.com | Pere Joan | Prova Prova | 34424134H | 988781787 | ES | O2 | cat | mail_c@123.com','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('264',to_timestamp('12/01/13 13:33:59','DD/MM/RR HH24:MI:SSXFF'),'USUARI_B','123nou@123.com','ERROR TFC-009: No existeix cap usuari amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('265',to_timestamp('12/01/13 13:34:14','DD/MM/RR HH24:MI:SSXFF'),'USUARI_B','12345nou@123.com','ERROR TFC-010: Usuari no es pot esborrar perqu s un desenvolupador');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('266',to_timestamp('12/01/13 13:36:34','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_B','12345nou@123.com','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('267',to_timestamp('12/01/13 13:37:13','DD/MM/RR HH24:MI:SSXFF'),'USUARI_B','12345nou@123.com','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('268',to_timestamp('12/01/13 13:40:28','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','12345nou@123.com | Peter | Gabriel | 3442W133H | 98874870 | GB | O2 | eng | SKIMB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('269',to_timestamp('12/01/13 13:41:58','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_M','12345nou@123.com | John | Major | 3442W135H | 98457487 | GB | O2 | eng | john.major@123.com | SKIMB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('270',to_timestamp('12/01/13 13:44:36','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_M','john.major@123.com | John | Major | 3442W135H | 9845748A | GB | O2 | eng | john.major@123.com | SKIMB','ERROR TFC-008: Nmero de telfon incorrecte');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('271',to_timestamp('12/01/13 13:52:27','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_M','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/air/video.html | 1.3 | 350 | 250 | Y','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('272',to_timestamp('12/01/13 13:56:59','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_B','SKWORKOUTT | 1.1','ERROR TFC-019: Aplicaci i/o versi inexistent');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('273',to_timestamp('12/01/13 13:57:54','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_B','SKWORKOUTT | 1.3','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('274',to_timestamp('12/01/13 14:00:29','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_M','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/wt/video.html |  |  |  | ','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('275',to_timestamp('12/01/13 14:02:04','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_M','SKWORKOUTT | Workout Trainer | SKIMB | http://www.skimble.com/wt/video.html |  |  |  | ','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('276',to_timestamp('12/01/13 14:42:04','DD/MM/RR HH24:MI:SSXFF'),'DESENVOLUPADOR_A','ringo.starr@adobe.com | Ringo | Starr | 3442W133H | 98874870 | GB | O2 | eng | ADOBE','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('277',to_timestamp('12/01/13 14:44:43','DD/MM/RR HH24:MI:SSXFF'),'APLICACIO_A','ADAIR | Adobe Air | ADOBE | http://www.adobe.com/air/video.html | 1.2 | 400 | 300 | Y','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('281',to_timestamp('12/01/13 19:39:16','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 666666666666667 |  | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('282',to_timestamp('12/01/13 19:46:02','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 876453657458750 | 10 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('283',to_timestamp('12/01/13 19:57:02','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','KINGDOMROY | 2.0 | 010101010101016 | 2,15 | TC','ERROR TFC-019: Aplicaci i/o versi inexistent');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('284',to_timestamp('12/01/13 19:58:50','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','KINGDOMROY | 3.0 | 010101010101016 | 2,15 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('285',to_timestamp('12/01/13 20:03:57','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','ADAIR | 1.2 | 876453657458750 |  | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('286',to_timestamp('12/01/13 20:14:20','DD/MM/RR HH24:MI:SSXFF'),'USUARI_A','Jose@hotmail.com | Jose | Mourinho | 34429935H | 9847887 | PT | O2 | por','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('287',to_timestamp('12/01/13 20:43:31','DD/MM/RR HH24:MI:SSXFF'),'USUARI_B','mario.peres@yahoo.pt','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('288',to_timestamp('12/01/13 21:08:29','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_A_DESENVOLUPADORS','GB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('289',to_timestamp('12/01/13 21:14:57','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_B_APLICACIONS',null,'OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('290',to_timestamp('12/01/13 21:27:25','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_C_PAISOS','ADAIR | 2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('291',to_timestamp('12/01/13 21:36:02','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_D_DESCARREGUES','+3364634645','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('292',to_timestamp('12/01/13 22:17:30','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_E_USUARIS','2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('293',to_timestamp('12/01/13 22:29:03','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_A_DESENVOLUPADORS','GB','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('294',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423334243423342 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('295',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000240 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('296',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000257 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('297',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000109 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('298',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000117 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('299',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000125 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('300',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000133 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('301',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000141 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('302',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000158 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('303',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000166 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('304',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000174 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('305',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000182 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('306',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 101111111111111 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('307',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000091 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('308',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 010101010101016 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('309',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423434234234235 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('310',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 666666666666667 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('311',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 987978967895784 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('312',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 876453657458750 | 3 | TC','ERROR TFC-009: No existeix cap usuari amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('313',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 012345678801239 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('314',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000083 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('315',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000190 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('316',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000208 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('317',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000216 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('318',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000224 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('319',to_timestamp('12/01/13 23:44:52','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000232 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('320',to_timestamp('12/01/13 23:45:54','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_E_USUARIS','2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('321',to_timestamp('12/01/13 23:54:03','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423334243423342 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('322',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423334243423342 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('323',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000240 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('324',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000257 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('325',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000109 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('326',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000117 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('327',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000125 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('328',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000133 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('329',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000141 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('330',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000158 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('331',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000166 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('332',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000174 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('333',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000182 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('334',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 101111111111111 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('335',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000091 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('336',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 010101010101016 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('337',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423434234234235 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('338',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 666666666666667 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('339',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 987978967895784 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('340',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 876453657458750 | 3 | TC','ERROR TFC-009: No existeix cap usuari amb aquest e-mail');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('341',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 012345678801239 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('342',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000083 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('343',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000190 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('344',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000208 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('345',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000216 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('346',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000224 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('347',to_timestamp('13/01/13 00:03:00','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000232 | 3 | TC','ERROR TFC-024: Resoluci del dispositiu insuficient');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('348',to_timestamp('13/01/13 00:07:33','DD/MM/RR HH24:MI:SSXFF'),'LLISTAT_E_USUARIS','2013','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('349',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423334243423342 | 3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('350',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000240 | 3,3 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('351',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000109 | 3,9 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('352',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000117 | 3,1 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('353',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000125 | 3,12 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('354',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000133 | 3,15 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('355',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000141 | 3,17 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('356',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000166 | 3,89 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('357',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000182 | 3,88 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('358',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 101111111111111 | 3,22 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('359',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000091 | 3,33 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('360',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 423434234234235 | 3,46 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('361',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 666666666666667 | 3,89 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('362',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 987978967895784 | 3,99 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('363',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 012345678801239 | 3,77 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('364',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000190 | 3,09 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('365',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000208 | 3,05 | TC','OK');
Insert into LOG (LOG_ID,DATAHORA,PROCEDIMENT,PENTRADA,PSORTIDA) values ('366',to_timestamp('13/01/13 00:11:48','DD/MM/RR HH24:MI:SSXFF'),'DESCARREGA_A','SKWORKOUTT | 1.2 | 000000000000216 | 3,23 | TC','OK');
REM INSERTING into MARCA
SET DEFINE OFF;
Insert into MARCA (MARCA_ID,NOM) values ('BB','Blackberry');
Insert into MARCA (MARCA_ID,NOM) values ('NOKIA','Nokia');
Insert into MARCA (MARCA_ID,NOM) values ('SAMSUNG','Samsung');
Insert into MARCA (MARCA_ID,NOM) values ('APPLE','Apple');
Insert into MARCA (MARCA_ID,NOM) values ('ERICSSON','Ericsson');
REM INSERTING into MISSATGE
SET DEFINE OFF;
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-012','Codi de companyia inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-001','Ja existeix un usuari amb aquest e-mail','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-014','No existeix cap desenvolupador amb l''adrea e-mail','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-006','Codi d''operador inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-008','Nmero de telfon incorrecte','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-009','No existeix cap usuari amb aquest e-mail','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-011','Ja existeix un desenvolupador amb aquest e-mail','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-007','Adrea e-mail incorrecte','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-013','Desenvolupador no es pot esborrar perqu s autor d''alguna versi','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-016','Aplicaci i/o versions no es poden esborrar perqu existeixen descrregues','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-015','La versi ja existeix','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-004','Codi d''idioma inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-010','Usuari no es pot esborrar perqu s un desenvolupador','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-002','Ja existeix un usuari amb aquests NIF i pas','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-003','Ja existeix un usuari amb aquest telfon','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-005','Codi de pas inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-017','Enlla URL incorrecte','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-018','ACTIVA diferent de ''Y'' i de ''N''','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-019','Aplicaci i/o versi inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-020','IMEI Inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-021','No existeix preu de tarifa per l''aplicaci en el pas','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-022','No existeix fitxer de descrrega per a la versi i el sistema operatiu','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-023','Codi de mode de pagament inexistent','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-024','Resoluci del dispositiu insuficient','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-025','Versi inactiva','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-026','El desenvolupador no pertany a la companyia propietria de l''aplicaci','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-027','No es popt modificar l''identificador de la taula DESCARREGA','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-028','El dispositiu pertany a un usuari donat de baixa','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-029','Codi d''aplicaci invlid','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-030','No es pot calcular la mitjana ja que el nombre d''usuaris s zero','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-031','No hi ha cap registre estadstic per a aquest any','cat');
Insert into MISSATGE (MISSATGE_ID,TEXT,IDIOMA) values ('TFC-032','No existeix cap usuari amb aquest nmero de telfon','cat');
REM INSERTING into MODEL
SET DEFINE OFF;
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('9900','BB','9900-Bold','BB7','400','400');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('K7','NOKIA','K7 Communicator','SYM3','320','200');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('IPHO4','APPLE','iPhone 4','IOS','640','480');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('IPHO5','APPLE','iPhone 5','IOS','700','480');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('9700','BB','9700 Curve','BB7','450','350');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('GALS3','SAMSUNG','Galaxy S-III','AND','500','400');
Insert into MODEL (MODEL_ID,MARCA,NOM,SIST_OP,RESOL_H,RESOL_V) values ('GALS2','SAMSUNG','GAlaxy S-II','AND','450','370');
REM INSERTING into MODE_PAGAMENT
SET DEFINE OFF;
Insert into MODE_PAGAMENT (MOD_PAG_ID,NOM) values ('PP','PayPal');
Insert into MODE_PAGAMENT (MOD_PAG_ID,NOM) values ('TC','Tarjeta Crdit');
Insert into MODE_PAGAMENT (MOD_PAG_ID,NOM) values ('TR','Transferncia Bancria');
Insert into MODE_PAGAMENT (MOD_PAG_ID,NOM) values ('CR','Contra Reembols');
Insert into MODE_PAGAMENT (MOD_PAG_ID,NOM) values ('DB','Domiciliaci Bancria');
REM INSERTING into OPERADOR
SET DEFINE OFF;
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('O2','O2  Telefnica UK','GB');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('VFFR','Vodafone','FR');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('MSTAR','Movistar','ES');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('MALTC','Malta Telecom','MT');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('ORA1','Orange','FR');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('VZON','Verizon','US');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('DTEL','Deutsche-Telecom','DE');
Insert into OPERADOR (OP_ID,NOM,PAIS) values ('VFES','Vodafone','ES');
REM INSERTING into PAIS
SET DEFINE OFF;
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MD','Moldova','373');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ME','Montenegro','382');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MG','Madagascar','261');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MH','Marshall Islands','692');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MK','Macedonia','389');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ML','Mali','223');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MM','Myanmar (Burma)','95');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MN','Mongolia','976');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MO','Macau','853');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MP','Northern Mariana Islands','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MQ','Martinique','596');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MR','Mauritania','222');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MS','Montserrat','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MT','Malta','356');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MU','Mauritius','230');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MV','Maldives','960');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MW','Malawi','265');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MX','Mexico','52');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MY','Malaysia','60');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MZ','Mozambique','258');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NA','Namibia','264');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NC','New Caledonia','687');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NE','Niger','227');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NF','Norfolk Island','672');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NG','Nigeria','234');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NI','Nicaragua','505');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NL','Netherlands','31');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NO','Norway','47');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NP','Nepal','977');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NR','Nauru','674');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NU','Niue','683');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('NZ','New Zealand','64');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('OM','Oman','968');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PA','Panama','507');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PE','Peru','51');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PF','French Polynesia','689');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PG','Papua New Guinea','675');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PH','Philippines','63');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PK','Pakistan','92');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PL','Poland','48');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PM','Saint Pierre and Miquelon','508');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PN','Pitcairn Islands','870');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PR','Puerto Rico','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PT','Portugal','351');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PW','Palau','680');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('PY','Paraguay','595');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('QA','Qatar','974');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('RE','Reunion','262');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('RO','Romania','40');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('RS','Serbia','381');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('RU','Russia','7');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('RW','Rwanda','250');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SA','Saudi Arabia','966');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SB','Solomon Islands','677');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SC','Seychelles','248');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SD','Sudan','249');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SE','Sweden','46');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SG','Singapore','65');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SH','Saint Helena','290');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SI','Slovenia','386');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SJ','Svalbard','47');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SK','Slovakia','421');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SL','Sierra Leone','232');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SM','San Marino','378');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SN','Senegal','221');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SO','Somalia','252');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SR','Suriname','597');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ST','Sao Tome and Principe','239');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SV','El Salvador','503');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SY','Syria','963');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('SZ','Swaziland','268');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TA','Tristan da Cunha','290');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TC','Turks and Caicos Islands','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TD','Chad','235');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TG','Togo','228');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TH','Thailand','66');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TJ','Tajikistan','992');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TK','Tokelau','690');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TL','Timor-Leste (East Timor)','670');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TM','Turkmenistan','993');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TN','Tunisia','216');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TO','Tonga','676');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TR','Turkey','90');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TT','Trinidad and Tobago','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TV','Tuvalu','688');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TW','China, Republic of (Taiwan)','886');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('TZ','Tanzania','255');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('UA','Ukraine','380');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('UG','Uganda','256');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('UM','United States Minor Outlying Islands','808');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('US','United States','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('UY','Uruguay','598');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('UZ','Uzbekistan','998');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VA','Vatican City','379');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VC','Saint Vincent and the Grenadines','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VE','Venezuela','58');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VG','British Virgin Islands','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VI','U.S. Virgin Islands','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VN','Vietnam','84');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('VU','Vanuatu','678');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('WF','Wallis and Futuna','681');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('WS','Samoa','685');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('YE','Yemen','967');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('YT','Mayotte','262');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ZA','South Africa','27');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ZM','Zambia','260');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ZW','Zimbabwe','263');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AC','Ascension','247');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AD','Andorra','376');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AE','United Arab Emirates','971');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AF','Afghanistan','93');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AG','Antigua and Barbuda','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AI','Anguilla','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AL','Albania','355');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AM','Armenia','374');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AN','Netherlands Antilles','599');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AO','Angola','244');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AQ','Antarctica','672');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AR','Argentina','54');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AS','American Samoa','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AT','Austria','43');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AU','Australia','61');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AW','Aruba','297');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AX','Aland','340');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('AZ','Azerbaijan','994');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BA','Bosnia and Herzegovina','387');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BB','Barbados','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BD','Bangladesh','880');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BE','Belgium','32');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BF','Burkina Faso','226');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BG','Bulgaria','359');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BH','Bahrain','973');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BI','Burundi','257');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BJ','Benin','229');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BM','Bermuda','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BN','Brunei','673');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BO','Bolivia','591');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BR','Brazil','55');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BS','Bahamas, The','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BT','Bhutan','975');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BV','Bouvet Island','47');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BW','Botswana','267');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BY','Belarus','375');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('BZ','Belize','501');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CA','Canada','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CC','Cocos (Keeling) Islands','61');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CD','Congo, (Congo  Kinshasa)','243');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CF','Central African Republic','236');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CG','Congo, (Congo  Brazzaville)','242');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CH','Switzerland','41');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CI','Cote d''Ivoire (Ivory Coast)','225');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CK','Cook Islands','682');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CL','Chile','56');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CM','Cameroon','237');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CN','China, People''s Republic of','86');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CO','Colombia','57');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CR','Costa Rica','506');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CU','Cuba','53');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CV','Cape Verde','238');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CX','Christmas Island','61');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CY','Cyprus','357');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('CZ','Czech Republic','420');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DE','Germany','49');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DJ','Djibouti','253');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DK','Denmark','45');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DM','Dominica','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DO','Dominican Republic','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('DZ','Algeria','213');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('EC','Ecuador','593');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('EE','Estonia','372');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('EG','Egypt','20');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ER','Eritrea','291');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ES','Spain','34');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ET','Ethiopia','251');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FI','Finland','358');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FJ','Fiji','679');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FK','Falkland Islands (Islas Malvinas)','500');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FM','Micronesia','691');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FO','Faroe Islands','298');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('FR','France','33');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GA','Gabon','241');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GB','United Kingdom','44');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GD','Grenada','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GE','Georgia','995');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GF','French Guiana','594');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GG','Guernsey','44');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GH','Ghana','233');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GI','Gibraltar','350');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GL','Greenland','299');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GM','Gambia, The','220');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GN','Guinea','224');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GP','Guadeloupe','590');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GQ','Equatorial Guinea','240');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GR','Greece','30');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GT','Guatemala','502');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GU','Guam','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GW','Guinea-Bissau','245');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('GY','Guyana','592');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('HK','Hong Kong','852');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('HN','Honduras','504');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('HR','Croatia','385');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('HT','Haiti','509');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('HU','Hungary','36');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('ID','Indonesia','62');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IE','Ireland','353');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IL','Israel','972');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IM','Isle of Man','44');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IN','India','91');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IO','British Indian Ocean Territory','246');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IQ','Iraq','964');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IR','Iran','98');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IS','Iceland','354');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('IT','Italy','39');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('JE','Jersey','44');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('JM','Jamaica','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('JO','Jordan','962');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('JP','Japan','81');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KE','Kenya','254');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KG','Kyrgyzstan','996');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KH','Cambodia','855');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KI','Kiribati','686');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KM','Comoros','269');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KN','Saint Kitts and Nevis','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KP','Korea, North','850');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KR','Korea, South','82');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KW','Kuwait','965');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KY','Cayman Islands','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('KZ','Kazakhstan','7');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LA','Laos','856');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LB','Lebanon','961');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LC','Saint Lucia','1');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LI','Liechtenstein','423');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LK','Sri Lanka','94');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LR','Liberia','231');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LS','Lesotho','266');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LT','Lithuania','370');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LU','Luxembourg','352');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LV','Latvia','371');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('LY','Libya','218');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MA','Morocco','212');
Insert into PAIS (PAIS_ID,NOM,PREFIX) values ('MC','Monaco','377');
REM INSERTING into PARAMETRES
SET DEFINE OFF;
Insert into PARAMETRES (IDIOMA) values ('cat');
REM INSERTING into SISTEMA_OPERATIU
SET DEFINE OFF;
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('BB7','Blackberry OS 7');
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('IOS','Apple IOS');
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('SYM3','Symbian 3.0');
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('AND','Android');
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('WINPH','Windows Phone');
Insert into SISTEMA_OPERATIU (SIST_OP_ID,NOM) values ('WINMO','Windows Mobile');
REM INSERTING into TARIFA
SET DEFINE OFF;
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('1111100000','ES','10,4');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('1111100000','GB','11,7');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('ADAIR','GB','2,9');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('SKWORKOUTT','GB','3,5');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('ADAIR','ES','2,7');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('SKWORKOUTT','ES','3');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('0000000001','RU','13,11');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('WHATSAPP02','ES','12,4');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('WHATSAPP02','GB','13,7');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('FASHIONKAL','ES','14,4');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('FASHIONKAL','GB','15,7');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('ADAIR','PT','2,6');
Insert into TARIFA (APLICACIO,PAIS,PREU) values ('SKWORKOUTT','PT','2,6');
REM INSERTING into USUARI
SET DEFINE OFF;
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('98457487','O2','GB','john.major@123.com','eng','+44','144','John','Major','3442W135H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('98874870','O2','GB','ringo.starr@adobe.com','eng','+44','145','Ringo','Starr','3442W133H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('988781787','O2','ES','mail_c@123.com','cat','+44','135','Pere Joan','Prova Prova','34424134H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('98807887','O2','FI','12345@123.com','cat','+44','121','Pere Joan','Prova Prova','34424135H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('9887887','O2','RU','123nou@123.com','cat','+44','117','Pere','Prova','34424135H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('000007000','ORA1','ES','ghghg@sdfd.com','cat','+33','43','Ernest','Rovira','67344222W');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('623788155','VFES','GB','john@p3cat.com','eng','+34','41','Joan','Prez','A98836627');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('64634645','ORA1','PT','exemple@sample.com','por','+33','47','Srgio','Peres','9887999');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('2773883','DTEL','DE','jochem.schmitd@gmail.com','ger','+49','51','Jochem','Schmitd','88789799');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('9847887','O2','PT','jose@hotmail.com','por','+44','155','Jose','Mourinho','34429935H');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('52352345','ORA1','ES','peter@3434.com','spa','+33','158','Peter','Sullivan','9989899989');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('65636565','DTEL','GB','123@123.com','eng','+49','159','Andrew','Miller','88789399');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('534534545','ORA1','DE','karl.marx@gmail.com','ger','+33','160','Karl','Marx','656464565');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('7778878','DTEL','IT','marco.lippi@lippi.com','ita','+49','161','Marco','Lippi','89898989');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('9898090','ORA1','ES','juan.garcia@juan.com','spa','+33','162','Juan','Garcia','9987879799');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('56577777','DTEL','PT','bruno.sample@yahoo.pt','por','+49','163','Bruno','Sample','778797987');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('56456777','ORA1','DE','michael.brandt@yahoo.de','ger','+33','164','Michael','Brandt','989808098');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('66765776','O2','GB','123abc@123.com','cat','+44','165','Joan','Prez','090900099');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('766868876','VFES','IT','juseppe.gepetto@gmail.it','ita','+34','166','Juseppe','Gepeto','9887898879');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('55544558','VFES','ES','ricardo.zamora@gmail.com','spa','+34','167','Ricardo','Zamora','898799788');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('454765477','ORA1','US','maria.spencer@gmail.com','eng','+33','168','Maria','Spencer','8789779878');
Insert into USUARI (NUM_TEL,OPERADOR,PAIS,EMAIL,IDIOMA,PREFIX_TEL,USUARI_ID,NOM,COGNOMS,NIF) values ('454762477','ORA1','US','clara.spencer@gmail.com','eng','+33','169','Clara','Spencer','8789779078');
REM INSERTING into VERSIO
SET DEFINE OFF;
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.2','ADAIR','400','300','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.2','SKWORKOUTT','400','300','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('3.0','0000000001','340','200','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.0','WHATSAPP02','480','200','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.0','1111100000','400','300','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.1','1111100000','400','300','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.2','1111100000','450','300','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.3','1111100000','450','300','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('4.4','1111100000','450','299','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.2.2.1','FLSHPLAYER','400','500','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.2.3','FLSHPLAYER','400','500','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('3.15','0000000000','340','200','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.0','FASHIONKAL','420','350','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('0.1','0000000002','100','100','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.0','0000000000','340','200','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.1','0000000000','340','200','N');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('3.15','FASHIONKAL','340','220','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('3.0','KINGDOMROY','350','200','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('1.0_DELUXE','ZENONIA000','440','200','Y');
Insert into VERSIO (VERSIO_ID,APLICACIO,RESOL_H,RESOL_V,ACTIVA) values ('3.3','BINGMAPS00','500','300','Y');
--------------------------------------------------------
--  DDL for Index DESCARREGA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "DESCARREGA_PK" ON "DESCARREGA" ("IMEI", "DATA") 
  ;
/
--------------------------------------------------------
--  DDL for Index E_ANY_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "E_ANY_PK" ON "E_ANY" ("YEAR") 
  ;
/
--------------------------------------------------------
--  DDL for Index LOG_INDEX2
--------------------------------------------------------

  CREATE INDEX "LOG_INDEX2" ON "LOG" ("PROCEDIMENT") 
  ;
/
--------------------------------------------------------
--  DDL for Index LOG_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "LOG_PK" ON "LOG" ("LOG_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index USUARI_UK2
--------------------------------------------------------

  CREATE UNIQUE INDEX "USUARI_UK2" ON "USUARI" ("EMAIL") 
  ;
/
--------------------------------------------------------
--  DDL for Index ERRORS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "ERRORS_PK" ON "ERROR_MAP" ("ERROR_MAP_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index AUTORIA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "AUTORIA_PK" ON "AUTORIA" ("APLICACIO", "VERSIO", "DESENVOLUPADOR") 
  ;
/
--------------------------------------------------------
--  DDL for Index SIST_OP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "SIST_OP_PK" ON "SISTEMA_OPERATIU" ("SIST_OP_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index PAIS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PAIS_PK" ON "PAIS" ("PAIS_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index E_AUX_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "E_AUX_PK" ON "E_AUX" ("ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index DESENVOLUPADOR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "DESENVOLUPADOR_PK" ON "DESENVOLUPADOR" ("USUARI") 
  ;
/
--------------------------------------------------------
--  DDL for Index DESCRIPCIO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "DESCRIPCIO_PK" ON "DESCRIPCIO" ("APLICACIO", "IDIOMA") 
  ;
/
--------------------------------------------------------
--  DDL for Index MARCA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "MARCA_PK" ON "MARCA" ("MARCA_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index E_ANY_DESENV_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "E_ANY_DESENV_PK" ON "E_ANY_DESENV" ("YEAR", "COMPANYIA") 
  ;
/
--------------------------------------------------------
--  DDL for Index FITXER_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "FITXER_PK" ON "FITXER" ("APLICACIO", "VERSIO", "SIST_OP") 
  ;
/
--------------------------------------------------------
--  DDL for Index USUARI_UK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "USUARI_UK1" ON "USUARI" ("NUM_TEL", "PREFIX_TEL") 
  ;
/
--------------------------------------------------------
--  DDL for Index OPERADOR_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "OPERADOR_PK" ON "OPERADOR" ("OP_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index APLICACIO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "APLICACIO_PK" ON "APLICACIO" ("APLICACIO_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index E_ANY_PAIS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "E_ANY_PAIS_PK" ON "E_ANY_PAIS" ("YEAR", "PAIS") 
  ;
/
--------------------------------------------------------
--  DDL for Index USUARI_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "USUARI_PK" ON "USUARI" ("USUARI_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index COMPANYIA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "COMPANYIA_PK" ON "COMPANYIA" ("COMPANYIA_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index TARIFA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "TARIFA_PK" ON "TARIFA" ("APLICACIO", "PAIS") 
  ;
/
--------------------------------------------------------
--  DDL for Index DISPOSITIU_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "DISPOSITIU_PK" ON "DISPOSITIU" ("IMEI") 
  ;
/
--------------------------------------------------------
--  DDL for Index MODEL_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "MODEL_PK" ON "MODEL" ("MODEL_ID", "MARCA") 
  ;
/
--------------------------------------------------------
--  DDL for Index MISSATGE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "MISSATGE_PK" ON "MISSATGE" ("IDIOMA", "MISSATGE_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index E_ANY_APP_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "E_ANY_APP_PK" ON "E_ANY_APP" ("YEAR", "APLICACIO") 
  ;
/
--------------------------------------------------------
--  DDL for Index MOD_PAG_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "MOD_PAG_PK" ON "MODE_PAGAMENT" ("MOD_PAG_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index LOG_INDEX1
--------------------------------------------------------

  CREATE INDEX "LOG_INDEX1" ON "LOG" ("DATAHORA") 
  ;
/
--------------------------------------------------------
--  DDL for Index IDIOMA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "IDIOMA_PK" ON "IDIOMA" ("IDIOMA_ID") 
  ;
/
--------------------------------------------------------
--  DDL for Index USUARI_UK3
--------------------------------------------------------

  CREATE UNIQUE INDEX "USUARI_UK3" ON "USUARI" ("PAIS", "NIF") 
  ;
/
--------------------------------------------------------
--  DDL for Index VERSIO_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "VERSIO_PK" ON "VERSIO" ("APLICACIO", "VERSIO_ID") 
  ;
/
--------------------------------------------------------
--  Constraints for Table MISSATGE
--------------------------------------------------------

  ALTER TABLE "MISSATGE" MODIFY ("MISSATGE_ID" NOT NULL ENABLE);
  ALTER TABLE "MISSATGE" ADD CONSTRAINT "MISSATGE_PK" PRIMARY KEY ("IDIOMA", "MISSATGE_ID") ENABLE;
  ALTER TABLE "MISSATGE" MODIFY ("IDIOMA" NOT NULL ENABLE);
  ALTER TABLE "MISSATGE" MODIFY ("TEXT" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table ERROR_MAP
--------------------------------------------------------

  ALTER TABLE "ERROR_MAP" MODIFY ("MISSATGE" NOT NULL ENABLE);
  ALTER TABLE "ERROR_MAP" ADD CONSTRAINT "ERRORS_PK" PRIMARY KEY ("ERROR_MAP_ID") ENABLE;
  ALTER TABLE "ERROR_MAP" MODIFY ("SQL_ERROR" NOT NULL ENABLE);
  ALTER TABLE "ERROR_MAP" MODIFY ("ERROR_MAP_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table VERSIO
--------------------------------------------------------

  ALTER TABLE "VERSIO" ADD CONSTRAINT "CHK_ID5" CHECK (regexp_like(VERSIO_ID,'^[A-Z0-9._\-]+$','c')) ENABLE;
  ALTER TABLE "VERSIO" MODIFY ("ACTIVA" NOT NULL ENABLE);
  ALTER TABLE "VERSIO" MODIFY ("RESOL_V" NOT NULL ENABLE);
  ALTER TABLE "VERSIO" ADD CONSTRAINT "VERSIO_PK" PRIMARY KEY ("APLICACIO", "VERSIO_ID") ENABLE;
  ALTER TABLE "VERSIO" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "VERSIO" ADD CONSTRAINT "VERSIO_CHK1" CHECK (ACTIVA IN ('Y', 'N')) ENABLE;
  ALTER TABLE "VERSIO" MODIFY ("RESOL_H" NOT NULL ENABLE);
  ALTER TABLE "VERSIO" MODIFY ("VERSIO_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table DESCARREGA
--------------------------------------------------------

  ALTER TABLE "DESCARREGA" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("PREU" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_PK" PRIMARY KEY ("IMEI", "DATA") ENABLE;
  ALTER TABLE "DESCARREGA" MODIFY ("DATA" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("MOD_PAG" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("SIST_OP" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("VERSIO" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("OPERADOR" NOT NULL ENABLE);
  ALTER TABLE "DESCARREGA" MODIFY ("IMEI" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table OPERADOR
--------------------------------------------------------

  ALTER TABLE "OPERADOR" ADD CONSTRAINT "CHK_ID3" CHECK (regexp_like(OP_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "OPERADOR" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "OPERADOR" ADD CONSTRAINT "OPERADOR_PK" PRIMARY KEY ("OP_ID") ENABLE;
  ALTER TABLE "OPERADOR" MODIFY ("OP_ID" NOT NULL ENABLE);
  ALTER TABLE "OPERADOR" MODIFY ("NOM" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_TOTAL
--------------------------------------------------------

  ALTER TABLE "E_TOTAL" MODIFY ("FACTURACIO" NOT NULL ENABLE);
  ALTER TABLE "E_TOTAL" MODIFY ("NDESCARREGUES" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_ANY
--------------------------------------------------------

  ALTER TABLE "E_ANY" MODIFY ("NAPLICACIONS" NOT NULL ENABLE);
  ALTER TABLE "E_ANY" MODIFY ("NUSUARIS" NOT NULL ENABLE);
  ALTER TABLE "E_ANY" ADD CONSTRAINT "E_ANY_PK" PRIMARY KEY ("YEAR") ENABLE;
  ALTER TABLE "E_ANY" MODIFY ("YEAR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table DESCRIPCIO
--------------------------------------------------------

  ALTER TABLE "DESCRIPCIO" ADD CONSTRAINT "DESCRIPCIO_PK" PRIMARY KEY ("APLICACIO", "IDIOMA") ENABLE;
  ALTER TABLE "DESCRIPCIO" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "DESCRIPCIO" MODIFY ("IDIOMA" NOT NULL ENABLE);
  ALTER TABLE "DESCRIPCIO" MODIFY ("APLICACIO" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table DISPOSITIU
--------------------------------------------------------

  ALTER TABLE "DISPOSITIU" ADD CONSTRAINT "DISPOSITIU_CHK1" CHECK (regexp_like(IMEI,'[0-9]{15}')) ENABLE;
  ALTER TABLE "DISPOSITIU" MODIFY ("MODEL" NOT NULL ENABLE);
  ALTER TABLE "DISPOSITIU" MODIFY ("MARCA" NOT NULL ENABLE);
  ALTER TABLE "DISPOSITIU" ADD CONSTRAINT "DISPOSITIU_PK" PRIMARY KEY ("IMEI") ENABLE;
  ALTER TABLE "DISPOSITIU" MODIFY ("IMEI" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table PARAMETRES
--------------------------------------------------------

  ALTER TABLE "PARAMETRES" MODIFY ("IDIOMA" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table SISTEMA_OPERATIU
--------------------------------------------------------

  ALTER TABLE "SISTEMA_OPERATIU" ADD CONSTRAINT "CHK_ID4" CHECK (regexp_like(SIST_OP_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "SISTEMA_OPERATIU" ADD CONSTRAINT "SIST_OP_PK" PRIMARY KEY ("SIST_OP_ID") ENABLE;
  ALTER TABLE "SISTEMA_OPERATIU" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "SISTEMA_OPERATIU" MODIFY ("SIST_OP_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table PAIS
--------------------------------------------------------

  ALTER TABLE "PAIS" MODIFY ("PREFIX" NOT NULL ENABLE);
  ALTER TABLE "PAIS" ADD CONSTRAINT "CHK_PAIS_ID" CHECK (regexp_like (pais_id,'^[A-Z][A-Z]$')) ENABLE;
  ALTER TABLE "PAIS" ADD CONSTRAINT "PAIS_PK" PRIMARY KEY ("PAIS_ID") ENABLE;
  ALTER TABLE "PAIS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PAIS" MODIFY ("PAIS_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_ANY_PAIS
--------------------------------------------------------

  ALTER TABLE "E_ANY_PAIS" ADD CONSTRAINT "E_ANY_PAIS_PK" PRIMARY KEY ("YEAR", "PAIS") ENABLE;
  ALTER TABLE "E_ANY_PAIS" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_PAIS" MODIFY ("NAPLICACIONS" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_PAIS" MODIFY ("NUSUARIS" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_PAIS" MODIFY ("FACTURACIO" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_PAIS" MODIFY ("YEAR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table TARIFA
--------------------------------------------------------

  ALTER TABLE "TARIFA" ADD CONSTRAINT "TARIFA_PK" PRIMARY KEY ("APLICACIO", "PAIS") ENABLE;
  ALTER TABLE "TARIFA" MODIFY ("PREU" NOT NULL ENABLE);
  ALTER TABLE "TARIFA" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "TARIFA" MODIFY ("APLICACIO" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table APLICACIO
--------------------------------------------------------

  ALTER TABLE "APLICACIO" ADD CONSTRAINT "APLICACIO_CHK1" CHECK (regexp_like(aplicacio_id, '^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "APLICACIO" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "APLICACIO" ADD CONSTRAINT "APLICACIO_CHK2" CHECK (regexp_like(video_link, '^https?\://[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,6}(/[^ ]*)?$')) ENABLE;
  ALTER TABLE "APLICACIO" ADD CONSTRAINT "APLICACIO_PK" PRIMARY KEY ("APLICACIO_ID") ENABLE;
  ALTER TABLE "APLICACIO" MODIFY ("COMPANYIA" NOT NULL ENABLE);
  ALTER TABLE "APLICACIO" MODIFY ("APLICACIO_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_ANY_DESENV
--------------------------------------------------------

  ALTER TABLE "E_ANY_DESENV" ADD CONSTRAINT "E_ANY_DESENV_PK" PRIMARY KEY ("YEAR", "COMPANYIA") ENABLE;
  ALTER TABLE "E_ANY_DESENV" MODIFY ("LEADERANY" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_DESENV" MODIFY ("NDESCARREGUES" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_DESENV" MODIFY ("COMPANYIA" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_DESENV" MODIFY ("YEAR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table FITXER
--------------------------------------------------------

  ALTER TABLE "FITXER" MODIFY ("MIDA" NOT NULL ENABLE);
  ALTER TABLE "FITXER" ADD CONSTRAINT "FITXER_CHK1" CHECK (regexp_like(UNC_LINK,'^\\\\(\.|([^\ \\]+))(\\[^\\]+)+$')) ENABLE;
  ALTER TABLE "FITXER" ADD CONSTRAINT "FITXER_PK" PRIMARY KEY ("APLICACIO", "VERSIO", "SIST_OP") ENABLE;
  ALTER TABLE "FITXER" MODIFY ("UNC_LINK" NOT NULL ENABLE);
  ALTER TABLE "FITXER" MODIFY ("SIST_OP" NOT NULL ENABLE);
  ALTER TABLE "FITXER" MODIFY ("VERSIO" NOT NULL ENABLE);
  ALTER TABLE "FITXER" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "FITXER" MODIFY ("DATA_PUJADA" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table DESENVOLUPADOR
--------------------------------------------------------

  ALTER TABLE "DESENVOLUPADOR" ADD CONSTRAINT "DESENVOLUPADOR_PK" PRIMARY KEY ("USUARI") ENABLE;
  ALTER TABLE "DESENVOLUPADOR" MODIFY ("USUARI" NOT NULL ENABLE);
  ALTER TABLE "DESENVOLUPADOR" MODIFY ("COMPANYIA" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table MODE_PAGAMENT
--------------------------------------------------------

  ALTER TABLE "MODE_PAGAMENT" ADD CONSTRAINT "CHK_ID1" CHECK (regexp_like(MOD_PAG_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "MODE_PAGAMENT" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "MODE_PAGAMENT" ADD CONSTRAINT "MOD_PAG_PK" PRIMARY KEY ("MOD_PAG_ID") ENABLE;
  ALTER TABLE "MODE_PAGAMENT" MODIFY ("MOD_PAG_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table AUTORIA
--------------------------------------------------------

  ALTER TABLE "AUTORIA" ADD CONSTRAINT "AUTORIA_PK" PRIMARY KEY ("APLICACIO", "VERSIO", "DESENVOLUPADOR") ENABLE;
  ALTER TABLE "AUTORIA" MODIFY ("VERSIO" NOT NULL ENABLE);
  ALTER TABLE "AUTORIA" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "AUTORIA" MODIFY ("DESENVOLUPADOR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table USUARI
--------------------------------------------------------

  ALTER TABLE "USUARI" ADD CONSTRAINT "CHK_NUM_TEL" CHECK (regexp_like(NUM_TEL,'^[0-9]{5,20}$')) ENABLE;
  ALTER TABLE "USUARI" MODIFY ("IDIOMA" NOT NULL ENABLE);
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_UK2" UNIQUE ("EMAIL") ENABLE;
  ALTER TABLE "USUARI" ADD CONSTRAINT "CHK_NIF" CHECK (regexp_like(NIF,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "USUARI" MODIFY ("COGNOMS" NOT NULL ENABLE);
  ALTER TABLE "USUARI" MODIFY ("PREFIX_TEL" NOT NULL ENABLE);
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_UK1" UNIQUE ("NUM_TEL", "PREFIX_TEL") ENABLE;
  ALTER TABLE "USUARI" MODIFY ("USUARI_ID" NOT NULL ENABLE);
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_PK" PRIMARY KEY ("USUARI_ID") ENABLE;
  ALTER TABLE "USUARI" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "USUARI" ADD CONSTRAINT "CHK_EMAIL" CHECK (regexp_like(EMAIL,'..*\@..*\...*$')) ENABLE;
  ALTER TABLE "USUARI" MODIFY ("EMAIL" NOT NULL ENABLE);
  ALTER TABLE "USUARI" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_UK3" UNIQUE ("PAIS", "NIF") ENABLE;
  ALTER TABLE "USUARI" MODIFY ("OPERADOR" NOT NULL ENABLE);
  ALTER TABLE "USUARI" MODIFY ("NIF" NOT NULL ENABLE);
  ALTER TABLE "USUARI" MODIFY ("NUM_TEL" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table LOG
--------------------------------------------------------

  ALTER TABLE "LOG" ADD CONSTRAINT "LOG_PK" PRIMARY KEY ("LOG_ID") ENABLE;
  ALTER TABLE "LOG" MODIFY ("PROCEDIMENT" NOT NULL ENABLE);
  ALTER TABLE "LOG" MODIFY ("DATAHORA" NOT NULL ENABLE);
  ALTER TABLE "LOG" MODIFY ("LOG_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table MARCA
--------------------------------------------------------

  ALTER TABLE "MARCA" ADD CONSTRAINT "CHK_ID" CHECK (regexp_like(MARCA_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "MARCA" ADD CONSTRAINT "MARCA_PK" PRIMARY KEY ("MARCA_ID") ENABLE;
  ALTER TABLE "MARCA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "MARCA" MODIFY ("MARCA_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table IDIOMA
--------------------------------------------------------

  ALTER TABLE "IDIOMA" ADD CONSTRAINT "IDIOMA_PK" PRIMARY KEY ("IDIOMA_ID") ENABLE;
  ALTER TABLE "IDIOMA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "IDIOMA" MODIFY ("IDIOMA_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_ANY_APP
--------------------------------------------------------

  ALTER TABLE "E_ANY_APP" MODIFY ("LEADERANY" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_APP" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_APP" MODIFY ("FACTURACIO" NOT NULL ENABLE);
  ALTER TABLE "E_ANY_APP" ADD CONSTRAINT "E_ANY_APP_PK" PRIMARY KEY ("YEAR", "APLICACIO") ENABLE;
  ALTER TABLE "E_ANY_APP" MODIFY ("YEAR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table E_AUX
--------------------------------------------------------

  ALTER TABLE "E_AUX" ADD CONSTRAINT "E_AUX_PK" PRIMARY KEY ("ID") ENABLE;
  ALTER TABLE "E_AUX" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "E_AUX" MODIFY ("PREU" NOT NULL ENABLE);
  ALTER TABLE "E_AUX" MODIFY ("USUARI" NOT NULL ENABLE);
  ALTER TABLE "E_AUX" MODIFY ("APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "E_AUX" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "E_AUX" MODIFY ("YEAR" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table MODEL
--------------------------------------------------------

  ALTER TABLE "MODEL" ADD CONSTRAINT "CHK_ID2" CHECK (regexp_like(MODEL_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "MODEL" MODIFY ("RESOL_V" NOT NULL ENABLE);
  ALTER TABLE "MODEL" MODIFY ("SIST_OP" NOT NULL ENABLE);
  ALTER TABLE "MODEL" MODIFY ("RESOL_H" NOT NULL ENABLE);
  ALTER TABLE "MODEL" ADD CONSTRAINT "MODEL_PK" PRIMARY KEY ("MODEL_ID", "MARCA") ENABLE;
  ALTER TABLE "MODEL" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "MODEL" MODIFY ("MARCA" NOT NULL ENABLE);
  ALTER TABLE "MODEL" MODIFY ("MODEL_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Constraints for Table COMPANYIA
--------------------------------------------------------

  ALTER TABLE "COMPANYIA" ADD CONSTRAINT "COMPANYIA_CHK2" CHECK (regexp_like(COMPANYIA_ID,'^[A-Z0-9]+$','c')) ENABLE;
  ALTER TABLE "COMPANYIA" MODIFY ("TELEFON" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" MODIFY ("CIUTAT" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" MODIFY ("CODI_POSTAL" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" ADD CONSTRAINT "COMPANYIA_CHK1" CHECK (regexp_like(TELEFON, '^[0-9]{5,20}$')) ENABLE;
  ALTER TABLE "COMPANYIA" MODIFY ("ADRECA" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" MODIFY ("REPRESENTANT_LEGAL" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" MODIFY ("PAIS" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" ADD CONSTRAINT "COMPANYIA_PK" PRIMARY KEY ("COMPANYIA_ID") ENABLE;
  ALTER TABLE "COMPANYIA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "COMPANYIA" MODIFY ("COMPANYIA_ID" NOT NULL ENABLE);
/
--------------------------------------------------------
--  Ref Constraints for Table APLICACIO
--------------------------------------------------------

  ALTER TABLE "APLICACIO" ADD CONSTRAINT "APLICACIO_COMPANYIA_FK1" FOREIGN KEY ("COMPANYIA")
	  REFERENCES "COMPANYIA" ("COMPANYIA_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table AUTORIA
--------------------------------------------------------

  ALTER TABLE "AUTORIA" ADD CONSTRAINT "AUTORIA_DESENVOLUPADOR_FK1" FOREIGN KEY ("DESENVOLUPADOR")
	  REFERENCES "DESENVOLUPADOR" ("USUARI") ENABLE;
  ALTER TABLE "AUTORIA" ADD CONSTRAINT "AUTORIA_VERSIO_FK1" FOREIGN KEY ("APLICACIO", "VERSIO")
	  REFERENCES "VERSIO" ("APLICACIO", "VERSIO_ID") ON DELETE CASCADE ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table COMPANYIA
--------------------------------------------------------

  ALTER TABLE "COMPANYIA" ADD CONSTRAINT "COMPANYIA_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table DESCARREGA
--------------------------------------------------------

  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_DISPOSITIU_FK1" FOREIGN KEY ("IMEI")
	  REFERENCES "DISPOSITIU" ("IMEI") ENABLE;
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_FITXER_FK1" FOREIGN KEY ("APLICACIO", "VERSIO", "SIST_OP")
	  REFERENCES "FITXER" ("APLICACIO", "VERSIO", "SIST_OP") ENABLE;
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_MOD_PAG_FK1" FOREIGN KEY ("MOD_PAG")
	  REFERENCES "MODE_PAGAMENT" ("MOD_PAG_ID") ENABLE;
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_OPERADOR_FK1" FOREIGN KEY ("OPERADOR")
	  REFERENCES "OPERADOR" ("OP_ID") ENABLE;
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ENABLE;
  ALTER TABLE "DESCARREGA" ADD CONSTRAINT "DESCARREGA_USUARI_FK1" FOREIGN KEY ("USUARI")
	  REFERENCES "USUARI" ("USUARI_ID") ON DELETE SET NULL ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table DESCRIPCIO
--------------------------------------------------------

  ALTER TABLE "DESCRIPCIO" ADD CONSTRAINT "DESCRIPCIO_APLICACIO_FK1" FOREIGN KEY ("APLICACIO")
	  REFERENCES "APLICACIO" ("APLICACIO_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "DESCRIPCIO" ADD CONSTRAINT "DESCRIPCIO_IDIOMA_FK1" FOREIGN KEY ("IDIOMA")
	  REFERENCES "IDIOMA" ("IDIOMA_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table DESENVOLUPADOR
--------------------------------------------------------

  ALTER TABLE "DESENVOLUPADOR" ADD CONSTRAINT "DESENVOLUPADOR_COMPANYIA_FK1" FOREIGN KEY ("COMPANYIA")
	  REFERENCES "COMPANYIA" ("COMPANYIA_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "DESENVOLUPADOR" ADD CONSTRAINT "DESENVOLUPADOR_USUARI_FK1" FOREIGN KEY ("USUARI")
	  REFERENCES "USUARI" ("USUARI_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table DISPOSITIU
--------------------------------------------------------

  ALTER TABLE "DISPOSITIU" ADD CONSTRAINT "DISPOSITIU_MODEL_FK1" FOREIGN KEY ("MODEL", "MARCA")
	  REFERENCES "MODEL" ("MODEL_ID", "MARCA") ENABLE;
  ALTER TABLE "DISPOSITIU" ADD CONSTRAINT "DISPOSITIU_USUARI_FK1" FOREIGN KEY ("USUARI")
	  REFERENCES "USUARI" ("USUARI_ID") ON DELETE SET NULL ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table E_ANY_APP
--------------------------------------------------------

  ALTER TABLE "E_ANY_APP" ADD CONSTRAINT "E_ANY_APP_APLICACIO_FK1" FOREIGN KEY ("APLICACIO")
	  REFERENCES "APLICACIO" ("APLICACIO_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table E_ANY_DESENV
--------------------------------------------------------

  ALTER TABLE "E_ANY_DESENV" ADD CONSTRAINT "E_ANY_DESENV_COMPANYIA_FK1" FOREIGN KEY ("COMPANYIA")
	  REFERENCES "COMPANYIA" ("COMPANYIA_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table E_ANY_PAIS
--------------------------------------------------------

  ALTER TABLE "E_ANY_PAIS" ADD CONSTRAINT "E_ANY_PAIS_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table FITXER
--------------------------------------------------------

  ALTER TABLE "FITXER" ADD CONSTRAINT "FITXER_SIST_OP_FK1" FOREIGN KEY ("SIST_OP")
	  REFERENCES "SISTEMA_OPERATIU" ("SIST_OP_ID") ENABLE;
  ALTER TABLE "FITXER" ADD CONSTRAINT "FITXER_VERSIO_FK1" FOREIGN KEY ("APLICACIO", "VERSIO")
	  REFERENCES "VERSIO" ("APLICACIO", "VERSIO_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table MODEL
--------------------------------------------------------

  ALTER TABLE "MODEL" ADD CONSTRAINT "MODEL_MARCA_FK1" FOREIGN KEY ("MARCA")
	  REFERENCES "MARCA" ("MARCA_ID") ENABLE;
  ALTER TABLE "MODEL" ADD CONSTRAINT "MODEL_SISTEMA_OPERATIU_FK1" FOREIGN KEY ("SIST_OP")
	  REFERENCES "SISTEMA_OPERATIU" ("SIST_OP_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table OPERADOR
--------------------------------------------------------

  ALTER TABLE "OPERADOR" ADD CONSTRAINT "OPERADOR_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table PARAMETRES
--------------------------------------------------------

  ALTER TABLE "PARAMETRES" ADD CONSTRAINT "PARAMETRES_IDIOMA_FK1" FOREIGN KEY ("IDIOMA")
	  REFERENCES "IDIOMA" ("IDIOMA_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table TARIFA
--------------------------------------------------------

  ALTER TABLE "TARIFA" ADD CONSTRAINT "TARIFA_APLICACIO_FK1" FOREIGN KEY ("APLICACIO")
	  REFERENCES "APLICACIO" ("APLICACIO_ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "TARIFA" ADD CONSTRAINT "TARIFA_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ON DELETE CASCADE ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table USUARI
--------------------------------------------------------

  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_IDIOMA_FK1" FOREIGN KEY ("IDIOMA")
	  REFERENCES "IDIOMA" ("IDIOMA_ID") ENABLE;
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_OPERADOR_FK1" FOREIGN KEY ("OPERADOR")
	  REFERENCES "OPERADOR" ("OP_ID") ENABLE;
  ALTER TABLE "USUARI" ADD CONSTRAINT "USUARI_PAIS_FK1" FOREIGN KEY ("PAIS")
	  REFERENCES "PAIS" ("PAIS_ID") ENABLE;
/
--------------------------------------------------------
--  Ref Constraints for Table VERSIO
--------------------------------------------------------

  ALTER TABLE "VERSIO" ADD CONSTRAINT "VERSIO_APLICACIO_FK1" FOREIGN KEY ("APLICACIO")
	  REFERENCES "APLICACIO" ("APLICACIO_ID") ON DELETE CASCADE ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger AUTONUMBER_DESCARREGA
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "AUTONUMBER_DESCARREGA" BEFORE INSERT ON DESCARREGA 
FOR EACH ROW 
begin 
    select seq_autonumber_descarrega.nextval into :new.id from dual;
END;
/
ALTER TRIGGER "AUTONUMBER_DESCARREGA" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger AUTONUMBER_ERROR_MAP
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "AUTONUMBER_ERROR_MAP" BEFORE INSERT ON ERROR_MAP 
FOR EACH ROW 
BEGIN 
    select seq_autonumber_errors.nextval into :new.error_map_id from dual;
END;
/
ALTER TRIGGER "AUTONUMBER_ERROR_MAP" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger AUTONUMBER_LOG
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "AUTONUMBER_LOG" BEFORE INSERT ON LOG 
FOR EACH ROW 
BEGIN
  select seq_autonumber_log.nextval into :new.log_id from dual;
  select SYSDATE into :new.datahora from dual;
END;
/
ALTER TRIGGER "AUTONUMBER_LOG" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger AUTONUMBER_USUARI
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "AUTONUMBER_USUARI" BEFORE INSERT ON USUARI 
FOR EACH ROW 
 WHEN (NEW.usuari_id is null) BEGIN
   select seq_autonumber_usuari.nextval into :new.usuari_id from dual;
END;
/
ALTER TRIGGER "AUTONUMBER_USUARI" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger CALC_PREFIX
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "CALC_PREFIX" 
BEFORE INSERT OR UPDATE OF OPERADOR ON USUARI 
FOR EACH ROW 
BEGIN
  select '+' || prefix into :NEW.prefix_tel 
    from pais 
    where pais_id=(select pais from operador where operador.op_id=:NEW.operador);
  exception
    when others then
      :NEW.prefix_tel := ' ';
END;
/
ALTER TRIGGER "CALC_PREFIX" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger CHECK_AUTORIA
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "CHECK_AUTORIA" 
BEFORE INSERT OR UPDATE ON AUTORIA 
FOR EACH ROW 
DECLARE
  co companyia.companyia_id%type;
BEGIN

  select companyia into co from aplicacio where aplicacio_id = :NEW.aplicacio 
    and companyia = (
      select companyia from desenvolupador where usuari = :NEW.desenvolupador);
  exception
    when NO_DATA_FOUND then
      raise_application_error(-20104, 'El desenvolupador no pertany a la companyia propietria de l''aplicaci');
    when others then raise;
END;
/
ALTER TRIGGER "CHECK_AUTORIA" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger CHECK_IMEI
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "CHECK_IMEI" 
/********************************************************
  Verifica el 15 dgit d'un codi IMEI de dispositiu mbil
  s correcte segons Annexe B de ISO/IEC 7812-1
*********************************************************/
BEFORE INSERT OR UPDATE OF IMEI ON DISPOSITIU 
FOR EACH ROW 
DECLARE
  TOT INTEGER;
  N INTEGER;
  
BEGIN
  tot := 0;
  FOR i IN 1..7
  LOOP
    -- Sumar les posicions parells
    n := to_number(substr(:NEW.imei,2*i-1,1));
    tot := tot + n;
    -- amb el doble de les senars, sumant en cadascuna els 2 dgits si >10
    n := to_number(substr(:NEW.imei,2*i,1)) * 2;
    tot := tot + mod(n,10) + trunc(n/10);
  END LOOP;
  -- IMEI correcte si:
  --    posici 15 = complementari fins a la segent desena de la suma
  if to_number(substr(:NEW.imei,15,1)) <> mod(10 - mod(tot,10), 10) then
    raise_application_error(-20101, 'Invalid IMEI');
  end if;
END;
/
ALTER TRIGGER "CHECK_IMEI" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger CHECK_RESOL
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "CHECK_RESOL" 
/************************************************************
Verifica que, en una descrrega, el model del dispositiu t
una resoluci suficient per la versi de l'aplicaci demanada
Di no s aix, genera l'error ORA-20102
************************************************************/
BEFORE INSERT OR UPDATE OF versio, imei ON DESCARREGA 
FOR EACH ROW 
declare 
  type t_resol is record (
    h versio.resol_h%type,
    v versio.resol_v%type
  );
  rv t_resol; -- resoluci mnima de la versi 
  rm t_resol; -- Resoluci del model 
BEGIN
  -- Resoluci requerida per la versi
  select v.resol_h, v.resol_v into rv 
         from versio v 
         where v.aplicacio = :NEW.aplicacio and v.versio_id = :NEW.versio;
  -- Resoluci del model
  select m.resol_h, m.resol_v into rm
         from model m inner join dispositiu d 
            on m.model_id = d.model and m.marca = d.marca
         where d.imei = :NEW.imei;
  -- Verificaci
  if rv.h > rm.h or rv.v > rm.v then
    raise_application_error(-20102, 'Resoluci del dispositiu insuficient');
  end if;
  
END;
/
ALTER TRIGGER "CHECK_RESOL" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger CHECK_VERSIO_ACTIVA
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "CHECK_VERSIO_ACTIVA" 
/*********************************************************************
Disparador que verifica en altes i modificacions de la taula DESCARREGA
que la versi de l'aplicaci estigui en status actiu
**********************************************************************/
BEFORE INSERT OR UPDATE OF VERSIO,APLICACIO ON DESCARREGA 
FOR EACH ROW 
declare 
  a VERSIO.ACTIVA%type; 
BEGIN
  select ACTIVA into a from VERSIO where aplicacio = :NEW.APLICACIO and
                                         versio_id = :NEW.VERSIO;
  if a <> 'Y' then
    raise_application_error(-20103, 'Versi inactiva');
  end if;
END;
/
ALTER TRIGGER "CHECK_VERSIO_ACTIVA" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger ESTADISTIQUES2
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "ESTADISTIQUES2" 
/*****************************************************************
Disparador que actualitza la taula E_ANY cada vegada que s'insereix 
un registre a la taula USUARIS. Aquesta operaci permet mantenir
el nombre d'usuaris del sistema per tal de poder calcular en temps 
constant la mitjana de descarregues/usuari durant un any .
*****************************************************************/
BEFORE INSERT ON USUARI 
FOR EACH ROW 
BEGIN
    update E_ANY set NUSUARIS = NUSUARIS + 1 where YEAR = TO_CHAR(SYSDATE, 'YYYY');
    -- Si l'any no est obert, ja ens va b que no s'actualitzi ja que,
    -- quan s'inicialitzi ho far amb el total d'usuaris.  
END;
/
ALTER TRIGGER "ESTADISTIQUES2" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger ESTADISTIQUES_A
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "ESTADISTIQUES_A" 
/****************************************************************************
Disparador que actualitza les taules d'estadstiques:
E_AUX
E_TOTAL
E_ANY
E_ANY_PAIS
E_ANY_DESENV
E_ANY_APP
cada vegada que s'insereix un registre a la taula DESCARREGA.
*****************************************************************************/
AFTER INSERT ON DESCARREGA 
FOR EACH ROW 
DECLARE 
  ANY_DESCARREGA VARCHAR2(4);
  nu integer;
  na integer;
  co APLICACIO.COMPANYIA%type;
BEGIN 
  ----------------------------------------------------------------
  --Mantenir sincronitzada taula auxiliar de registres estadstics
  ----------------------------------------------------------------

  insert into E_AUX (ID, YEAR, usuari, pais, aplicacio, preu) 
    values (:NEW.ID, TO_CHAR(:NEW.DATA, 'YYYY'), :NEW.usuari,
            :NEW.pais, :NEW.aplicacio, :NEW.preu);

  ANY_DESCARREGA := TO_CHAR(:NEW.DATA, 'YYYY');
  ------------------------------------
  --Actualitzar taula de valors totals
  ------------------------------------
  update E_TOTAL set NDESCARREGUES = NDESCARREGUES + 1, 
                     FACTURACIO = FACTURACIO + :NEW.PREU;
  ------------------------------------------
  --Actualitzar taula d'estadstiques anuals
  ------------------------------------------
  -- Inicialitzar l'any, si cal.
  BEGIN
    insert into E_ANY (YEAR, NAPLICACIONS, NUSUARIS)
             values (ANY_DESCARREGA, 0, 0);
    update E_ANY set nusuaris=(select count(*) from USUARI) 
      where year=ANY_DESCARREGA;
    exception when DUP_VAL_ON_INDEX then NULL;
              when others then raise;
  END;          
  -- Afegir registre d'aplicaci (de fet, de descrrega)
  update E_ANY set NAPLICACIONS = NAPLICACIONS + 1 where YEAR = ANY_DESCARREGA;
  
  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals de desenvolupadors
  -------------------------------------------------------------
  -- Trobar desenvolupador (companyia) a partir de l'aplicaci
  select companyia into co from aplicacio 
    where aplicacio_id = :NEW.aplicacio; 
  -- Afegir registre de companyia, si cal
  BEGIN
    insert into E_ANY_DESENV (YEAR, COMPANYIA, NDESCARREGUES, LEADERANY)
           values (ANY_DESCARREGA, co, 0, 'N');
    exception when DUP_VAL_ON_INDEX then NULL;
              when others then raise;
  END;
  -- Actualitzar nombre de descarregues per la companyia
  update E_ANY_DESENV set ndescarregues = ndescarregues + 1
    where year=any_descarrega and companyia=co;

  -- Actualitzar leader(s) anual(s) en descrregues
  recalc_leader_any_desenv(any_descarrega);

  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals d'aplicacions
  ------------------------------------------------------------- 
  -- Afegir registre d'aplicaci, si encara no existeix
  BEGIN
    insert into E_ANY_APP (YEAR, APLICACIO, FACTURACIO, LEADERANY)
           values (ANY_DESCARREGA, :NEW.APLICACIO, 0, 'N');
    exception when DUP_VAL_ON_INDEX then NULL;
              when others then raise;
  END;  
  -- Actualitzar facturaci de l'aplicaci
  update E_ANY_APP set facturacio = facturacio + :NEW.PREU
    where year=any_descarrega and aplicacio=:NEW.APLICACIO;
    
  -- Actualitzar leader(s) anual(s) en facturaci
  recalc_leader_any_app(any_descarrega);

  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals de pasos
  ------------------------------------------------------------- 
  -- Afegir registre de pas, si encara no existeix
  BEGIN
    insert into E_ANY_PAIS (YEAR, PAIS, FACTURACIO, NUSUARIS, NAPLICACIONS)
           values (ANY_DESCARREGA, :NEW.pais, 0, 0, 0);
    exception when DUP_VAL_ON_INDEX then NULL;
              when others then raise;
  END;  
  -- Actualitzar facturaci en el pas
  update E_ANY_PAIS set facturacio = facturacio + :NEW.PREU
    where year=any_descarrega and pais = :NEW.pais;  
    
  -- Actualitzar nombre d'usuaris i aplicacions amb descrregues durant l'any
  select count(distinct usuari),count(distinct aplicacio) into nu,na from E_AUX
    where YEAR=any_descarrega and PAIS=:NEW.pais;
  
  update E_ANY_PAIS set nusuaris = nu, naplicacions = na
    where year=any_descarrega and pais = :NEW.PAIS; 

END;
/
ALTER TRIGGER "ESTADISTIQUES_A" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger ESTADISTIQUES_B
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "ESTADISTIQUES_B" 
/****************************************************************************
Disparador que actualitza les taules d'estadstiques:
E_AUX
E_TOTAL
E_ANY
E_ANY_PAIS
E_ANY_DESENV
E_ANY_APP
cada vegada que s'esborra un registre a la taula DESCARREGA.
*****************************************************************************/
AFTER DELETE ON DESCARREGA 
FOR EACH ROW 
DECLARE 
  any_descarrega varchar2(4);
  nu integer;
  na integer;
  co APLICACIO.COMPANYIA%type;
BEGIN 
  ----------------------------------------------------------------
  --Mantenir sincronitzada taula auxiliar de registres estadstics
  ----------------------------------------------------------------

  delete from E_AUX where ID = :OLD.ID;

  ANY_DESCARREGA := TO_CHAR(:OLD.DATA, 'YYYY');
  ------------------------------------
  --Actualitzar taula de valors totals
  ------------------------------------
  update E_TOTAL set FACTURACIO = FACTURACIO - :OLD.PREU,
                     NDESCARREGUES = NDESCARREGUES - 1;
  ------------------------------------------
  --Actualitzar taula d'estadstiques anuals
  ------------------------------------------
  update E_ANY set NAPLICACIONS = NAPLICACIONS - 1 where YEAR = ANY_DESCARREGA;
  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals de desenvolupadors
  -------------------------------------------------------------
  -- Trobar desenvolupador (companyia) a partir de l'aplicaci
  select companyia into co from aplicacio 
    where aplicacio_id = :OLD.aplicacio;   
    
  update E_ANY_DESENV set ndescarregues = ndescarregues - 1
    where year=any_descarrega and companyia=co; 
    
  --Recalcular el leader
  recalc_leader_any_desenv(any_descarrega);
  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals d'aplicacions
  ------------------------------------------------------------- 
  -- Actualitzar facturaci de l'aplicaci
  update E_ANY_APP set facturacio = facturacio - :OLD.PREU
    where year=any_descarrega and aplicacio=:OLD.APLICACIO; 
    
  --Recalcular el leader    
  recalc_leader_any_app(any_descarrega);
  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals de pasos
  ------------------------------------------------------------- 
  -- Actualitzar facturaci en el pas
  update E_ANY_PAIS set facturacio = facturacio - :OLD.PREU
    where year=any_descarrega and pais = :OLD.PAIS;
    
  -- Actualitzar nombre d'usuaris i aplicacions amb descrregues durant l'any
  select count(distinct usuari), count(distinct aplicacio) into nu, na from E_AUX
    where YEAR=any_descarrega and PAIS=:OLD.pais;
  
  update E_ANY_PAIS set nusuaris = nu, naplicacions = na
    where year=any_descarrega and pais = :OLD.PAIS; 
    
END;
/
ALTER TRIGGER "ESTADISTIQUES_B" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger ESTADISTIQUES_M
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "ESTADISTIQUES_M" 
/****************************************************************************
Disparador que actualitza les taules d'estadstiques:
E_AUX
E_TOTAL
E_ANY
E_ANY_PAIS
E_ANY_DESENV
E_ANY_APP
cada vegada que es modifica un registre a la taula DESCARREGA.
*****************************************************************************/
AFTER UPDATE of preu, aplicacio, data, pais, usuari, id ON DESCARREGA 
FOR EACH ROW 
DECLARE 
  any_descarrega_old CHAR(4);
  any_descarrega_new CHAR(4);
  na integer;
  nu integer;
  co_old APLICACIO.COMPANYIA%type;
  co_new APLICACIO.COMPANYIA%type;
BEGIN
  -- Impedir la modificaci de l'id
  if :NEW.ID <> :OLD.ID then
    raise_application_error(-20105,
      'No es pot modificar l''id de la taula DESCARREGA');
  end if;
  ----------------------------------------------------------------
  --Mantenir sincronitzada taula auxiliar de registres estadstics
  ----------------------------------------------------------------

  update E_AUX set year= TO_CHAR(:NEW.DATA, 'YYYY'),
                   pais=:NEW.pais,
                   aplicacio=:NEW.aplicacio,
                   preu=:NEW.preu 
    where ID=:OLD.ID;
  if :NEW.usuari is not null and :NEW.usuari<>:OLD.usuari then
  --Interessa mantenir codis d'usuaris esborrats
    update E_AUX set usuari=:NEW.usuari where ID=:OLD.ID;
  end if;   
  
  any_descarrega_old := to_char(:old.data, 'YYYY');
  any_descarrega_new := to_char(:new.data, 'YYYY');
  
  if :OLD.preu <> :NEW.preu then
    ------------------------------------
    --Actualitzar taula de valors totals
    ------------------------------------
    update e_total set facturacio = facturacio - :old.preu + :new.preu;
  end if;
  
  if any_descarrega_old <> any_descarrega_new then
    ------------------------------------------
    --Actualitzar taula d'estadstiques anuals
    ------------------------------------------
    update e_any set naplicacions = naplicacions - 1 where year = any_descarrega_old;
    BEGIN
      insert into E_ANY (YEAR, NAPLICACIONS, NUSUARIS)
               values (ANY_DESCARREGA_new, 0, 0);
      update E_ANY set nusuaris=(select count(*) from USUARI) 
        where year=ANY_DESCARREGA_new;
      exception when DUP_VAL_ON_INDEX then NULL;
                when others then raise;
    END;          
    update e_any set naplicacions = naplicacions + 1 where year = any_descarrega_new;
  end if;

  -- Trobar desenvolupador (companyia) a partir de l'aplicaci
  select companyia into co_old from aplicacio 
    where aplicacio_id = :old.aplicacio;   
  select companyia into co_new from aplicacio 
    where aplicacio_id = :new.aplicacio; 
    
  if any_descarrega_old <> any_descarrega_new or
     co_old <> co_new then
    -------------------------------------------------------------
    --Actualitzar taula d'estadstiques anuals de desenvolupadors
    -------------------------------------------------------------     
    update e_any_desenv set ndescarregues = ndescarregues - 1
      where year=any_descarrega_old and companyia=co_old; 
      
    recalc_leader_any_desenv(any_descarrega_old);
      
    BEGIN
      insert into E_ANY_DESENV (YEAR, COMPANYIA, NDESCARREGUES, LEADERANY)
             values (ANY_DESCARREGA_new, co_new, 0, 'N');
      exception when DUP_VAL_ON_INDEX then NULL;
                when others then raise;
    END;  
    
    update e_any_desenv set ndescarregues = ndescarregues + 1
      where year=any_descarrega_new and companyia=co_new;    
    
    recalc_leader_any_desenv(any_descarrega_new);

  end if;
  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals d'aplicacions
  -------------------------------------------------------------   
  if any_descarrega_old <> any_descarrega_new or
     :old.aplicacio <> :new.aplicacio or
     :OLD.preu <> :NEW.preu then
    -- Actualitzar facturaci de l'aplicaci 
    update e_any_app set facturacio = facturacio - :old.preu
      where year=any_descarrega_old and aplicacio=:old.aplicacio;  
      
    recalc_leader_any_app(any_descarrega_old);
    
    BEGIN
      insert into E_ANY_APP (YEAR, APLICACIO, FACTURACIO, LEADERANY)
             values (ANY_DESCARREGA_new, :NEW.APLICACIO, 0, 'N');
      exception when DUP_VAL_ON_INDEX then NULL;
                when others then raise;
    END;  
    
    update e_any_app set facturacio = facturacio + :new.preu
      where year=any_descarrega_new and aplicacio=:new.aplicacio;  
      
    recalc_leader_any_app(any_descarrega_new);   
  end if;
  

  -------------------------------------------------------------
  --Actualitzar taula d'estadstiques anuals de pasos
  ------------------------------------------------------------- 
  if any_descarrega_old <> any_descarrega_new or
     :old.pais <> :new.pais or
     :OLD.preu <> :NEW.preu then 
    -- Actualitzar facturaci en el pas
    update E_ANY_PAIS set facturacio = facturacio - :OLD.PREU
      where year=any_descarrega_old and pais = :OLD.PAIS;
      
    BEGIN
      insert into E_ANY_PAIS (YEAR, PAIS, FACTURACIO, NUSUARIS, NAPLICACIONS)
             values (ANY_DESCARREGA_new, :NEW.pais, 0, 0, 0);
      exception when DUP_VAL_ON_INDEX then NULL;
                when others then raise;
    END;  
    
    update E_ANY_PAIS set facturacio = facturacio + :NEW.PREU
      where year=any_descarrega_new and pais = :NEW.PAIS;
  end if;
      
  -- Actualitzar nombre d'usuaris i aplicacions amb descrregues durant l'any
  if any_descarrega_old <> any_descarrega_new or
     :old.pais <> :new.pais then
    select count(distinct usuari), count(distinct aplicacio) into nu, na 
      from E_AUX
      where YEAR=any_descarrega_old and PAIS=:OLD.pais;
    
    update E_ANY_PAIS set nusuaris = nu, naplicacions = na
      where year=any_descarrega_old and pais = :OLD.PAIS; 
      
    select count(distinct usuari), count(distinct aplicacio) into nu, na 
      from E_AUX
      where YEAR=any_descarrega_new and PAIS=:NEW.pais;
    
    update E_ANY_PAIS set nusuaris = nu, naplicacions = na
      where year=any_descarrega_new and pais = :NEW.PAIS;
  end if;

END;
/
ALTER TRIGGER "ESTADISTIQUES_M" ENABLE;
/
--------------------------------------------------------
--  DDL for Trigger LOWER_EMAIL
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "LOWER_EMAIL" 
BEFORE INSERT OR UPDATE OF EMAIL ON USUARI 
FOR EACH ROW 
BEGIN
  :NEW.EMAIL := LOWER(:NEW.EMAIL);
END;
/
ALTER TRIGGER "LOWER_EMAIL" ENABLE;
/
--------------------------------------------------------
--  DDL for Function TEXT_ERROR
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "TEXT_ERROR" 
/*******************************************************************************
Funci que, a partir d'un string tipus SQLERRM d'Oracle i del nom del 
procediment que la crida, retorna un string composat per:

  - un codi d'error de la forma TFC-nnn seguit de ': '
  - una explicaci en l'idioma especificat en la taula PARAMETRES 
    del error que s'ha produt.
    
  Parmetres d'entrada: 
    p_SQLERRM
*******************************************************************************/
(
  p_SQLERRM IN varchar2
) RETURN VARCHAR2 AS 
error_text varchar2(210);
owner      VARCHAR2 (1000);
NAME       VARCHAR2 (1000);
lineno     NUMBER;
caller_t   VARCHAR2 (1000);
SQLERROR VARCHAR2(9); 
SQLELEM VARCHAR2(50); 
i integer;
f integer;
BEGIN
  -- Obtenir el nom del procediment que crida.
  OWA_UTIL.who_called_me (owner, NAME, lineno, caller_t);
  -- Obtenir el codi d'error Oracle (ORA-nnnnn)
  select substr(p_SQLERRM, 1, 9) into SQLERROR from dual;
  -- Obtenir l'string entre parntesi de SQLERRM
  select instr(p_SQLERRM, '(') into i from dual;
  select instr(p_SQLERRM, ')') into f from dual;
  select substr(p_SQLERRM, i+1, f-i-1) into SQLELEM from dual;
  -- Eliminem fins al primer punt per independitzar-lo de l'usuari de la BD
  select instr(SQLELEM, '.') into i from dual;
  select substr(SQLELEM, i+1, 200) into SQLELEM from dual;

  -- Obtenir el missatge d'error de les taules ERROR_MAP i MISSATGE, 
  -- en l'idioma definit en el sistema
  select t into error_text from (
    select m.missatge_id||': '||m.text as t
      from missatge m inner join error_map e on m.missatge_id = e.missatge
      where e.sql_error = sqlerror 
        and (e.sql_elem = sqlelem or (sqlelem is null and e.sql_elem is null)) 
        and ( e.procediment = name or e.procediment is null )
        and m.idioma = (select idioma from parametres)
      order by e.procediment, e.sql_elem 
  ) where rownum = 1;
  
  RETURN error_text;
  -- Si el missatge no s'ha trobat, retornar SQLERRM
  exception when others then RETURN p_SQLERRM;  
END TEXT_ERROR;

/

/
--------------------------------------------------------
--  DDL for Procedure APLICACIO_A
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "APLICACIO_A" 
/*******************************************************************************
  Fa l'alta d'una aplicaci i d'una versi en les taules 
  APLICACIO i VERSIO respectivament. La versi no ha d'existir
  previament. Si l'aplicaci existeix, s actualitzada amb els
  parmetres subministrats.
   
  Parmetres.
    Entrada:
      P_APLICACIO_ID: Identificador d'aplicaci a crear o modificar. String(10)
      P_NOM:          Nom de l'aplicaci
      P_COMPANYIA:    Identificador de la companyia. String(5). Pren valors de 
                      la taula COMPANYIA
      P_VIDEO_LINK:   Enlla al fitxer de vdeo en format UNC. String(200)
      P_VERSIO_ID:    Identificador de la versi. String(20) 
      P_RESOL_H:      Resoluci horitzontal mnima de la versi. Enter.
      P_RESOL_V:      Resoluci vertical mnima de la versi. Enter.
      P_ACTIVA:       La versi s activa? Y/N
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
    Els errors possibles sn:
      TFC-015:La versi ja existeix
      TFC-012: Companyia inexistent
      TFC-017: Enlla URL incorrecte             
      TFC-018: ACTIVA diferent de 'Y' i de 'N'  
*******************************************************************************/
(
  P_APLICACIO_ID IN APLICACIO.APLICACIO_ID%TYPE  
, P_NOM IN APLICACIO.NOM%TYPE
, P_COMPANYIA IN APLICACIO.COMPANYIA%TYPE  
, P_VIDEO_LINK IN APLICACIO.VIDEO_LINK%TYPE  
, P_VERSIO_ID IN VERSIO.VERSIO_ID%TYPE  
, P_RESOL_H IN VERSIO.RESOL_H%TYPE  
, P_RESOL_V IN VERSIO.RESOL_V%TYPE  
, P_ACTIVA IN VERSIO.ACTIVA%TYPE  
, RSP OUT VARCHAR2  
) AS 

BEGIN
  RSP := 'OK';
  BEGIN
    BEGIN -- Bloc per allar l'excepci
      -- Intenta afegir l'aplicaci
      insert into aplicacio (aplicacio_id, nom, companyia, video_link)  
        values (p_aplicacio_id, p_nom, p_companyia, p_video_link);
      exception
        when DUP_VAL_ON_INDEX then
          -- Si ja existia, actualitza amb els parmetres subministrats
          update aplicacio set nom=p_nom, companyia=p_companyia, 
            video_link=p_video_link
            where aplicacio_id=p_aplicacio_id;
    END; -- Per allar l'exception
    -- Afegeix la versi
    insert into versio (versio_id, aplicacio, resol_h, resol_v, activa)
      values (p_versio_id, p_aplicacio_id, p_resol_h, p_resol_v, p_activa);

    exception
      when others then
        -- Qualsevol error que arribi aqu suposa la cancellaci
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;
  LOGGING(
    P_APLICACIO_ID||' | '||P_NOM||' | '||P_COMPANYIA||' | '||P_VIDEO_LINK||' | '||
    P_VERSIO_ID||' | '||P_RESOL_H||' | '||P_RESOL_V||' | '||P_ACTIVA,
    RSP
  );
END APLICACIO_A;

/

/
--------------------------------------------------------
--  DDL for Procedure APLICACIO_B
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "APLICACIO_B" 
/*******************************************************************************
  Fa la baixa d'una aplicaci amb totes les versions o b d'una versi
  (quan p_aplicacio s null). 
  
  Parmetres. 
    Entrada:
      P_APLICACIO_ID: Identificador d'aplicaci a crear o modificar. String
      P_VERSIO_ID:    Identificador de la versi. String(20) 

    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
    Els errors possibles sn:
      TFC-019: l'aplicaci o la versi no existeix
      TFC-016: Aplicaci i/o versions no es poden esborrar perqu existeixen descrregues
*******************************************************************************/
(
  P_APLICACIO_ID IN APLICACIO.APLICACIO_ID%TYPE  
, P_VERSIO_ID IN VERSIO.VERSIO_ID%TYPE  
, RSP OUT VARCHAR2  
) AS
BEGIN
  BEGIN
    if p_versio_id is null then
      select 'OK' into RSP from aplicacio where aplicacio_id = p_aplicacio_id;
      delete from aplicacio where aplicacio_id = p_aplicacio_id;
    else 
      select 'OK' into RSP from versio 
        where aplicacio = p_aplicacio_id and versio_id = p_versio_id;
      delete from versio 
        where aplicacio = p_aplicacio_id and versio_id = p_versio_id;
    end if;

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;
  LOGGING(P_APLICACIO_ID||' | '||P_VERSIO_ID, RSP);
END APLICACIO_B;

/

/
--------------------------------------------------------
--  DDL for Procedure APLICACIO_M
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "APLICACIO_M" 
/*******************************************************************************
  Modifica els atributs d'una aplicaci i/o versi. Si el codi de versi s null
  noms modifica els atributs de la taula APLICACIO.
   
  Parmetres.
    Entrada:
      P_APLICACIO_ID: Identificador d'aplicaci a crear o modificar. String(10)
      P_NOM:          Nom de l'aplicaci. String(200)
      P_COMPANYIA:    Identificador de la companyia. String(5). Pren valors de 
                      la taula COMPANYIA
      P_VIDEO_LINK:   Enlla al fitxer de vdeo en format UNC. String(200)
      P_VERSIO_ID:    Identificador de la versi. String(20) 
      P_RESOL_H:      Resoluci horitzontal mnima de la versi. Enter.
      P_RESOL_V:      Resoluci vertical mnima de la versi. Enter.
      P_ACTIVA:       La versi s activa? Y/N
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:
    TFC-019: Aplicaci i/o versi inexistent
    TFC-012: Codi de companyia inexistent
    TFC-017: Enlla URL incorrecte
    TFC-018: ACTIVA diferent de 'Y' i de 'N'    
*******************************************************************************/
(
  P_APLICACIO_ID IN APLICACIO.APLICACIO_ID%TYPE  
, P_NOM IN APLICACIO.NOM%TYPE
, P_COMPANYIA IN APLICACIO.COMPANYIA%TYPE  
, P_VIDEO_LINK IN APLICACIO.VIDEO_LINK%TYPE  
, P_VERSIO_ID IN VERSIO.VERSIO_ID%TYPE  
, P_RESOL_H IN VERSIO.RESOL_H%TYPE  
, P_RESOL_V IN VERSIO.RESOL_V%TYPE  
, P_ACTIVA IN VERSIO.ACTIVA%TYPE  
, RSP OUT VARCHAR2  
) AS
BEGIN
  BEGIN
  -- Check existncia.
    select 'OK' into RSP from aplicacio where aplicacio_id=p_aplicacio_id;
    update aplicacio set nom=p_nom, companyia=p_companyia, video_link=p_video_link 
                     where aplicacio_id=p_aplicacio_id;
                     
    if p_versio_id is not null then
      select 'OK' into RSP from versio where aplicacio=p_aplicacio_id and
                                             versio_id=P_VERSIO_ID;
      update versio set resol_h=p_resol_h, resol_v=p_resol_v, activa=p_activa
                    where aplicacio=p_aplicacio_id and versio_id=p_versio_id;
    end if;   

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;   
  LOGGING(
    P_APLICACIO_ID||' | '||P_NOM||' | '||P_COMPANYIA||' | '||P_VIDEO_LINK||' | '||
    P_VERSIO_ID||' | '||P_RESOL_H||' | '||P_RESOL_V||' | '||P_ACTIVA,
    RSP
  );
END APLICACIO_M;

/

/
--------------------------------------------------------
--  DDL for Procedure DESCARREGA_A
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "DESCARREGA_A" 
/*******************************************************************************
  Afegeix una descrrega.
  
  Parmetres. 
    Entrada:
      p_APLICACIO   Codi d'aplicaci. String de APLICACIO.APLICACIO_ID
      p_VERSIO      Codi de versi. String de VERSIO.VERSIO_ID  
      p_DISPOSITIU  Codi IMEI de dispositiu. String de DISPOSITIU.IMEI
      p_PREU        Preu pagat. Si es NULL es considera el preu de la taula TARIFA
      MOD_PAG       Codi de mode de pagament. String de MODE_PAGAMENT.MOD_PAG_ID
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn: 
    TFC-020:	IMEI Inexistent
    TFC-021:	No existeix preu de tarifa per l'aplicaci en el pas
    TFC-022:	No existeix fitxer de descrrega per la versi i el sistema operatiu
    TFC-023:  Codi de mode de pagament inexistent
    TFC-024:	Resoluci del dispositiu insuficient
    TFC-025:	Versi inactiva   
    TFC-028:  El dispositiu pertany a un usuari donat de baixa
*******************************************************************************/
( 
  p_APLICACIO IN APLICACIO.APLICACIO_ID%type
, p_VERSIO IN VERSIO.VERSIO_ID%type  
, p_DISPOSITIU IN DISPOSITIU.IMEI%type
, p_PREU IN tarifa.preu%type
, MOD_PAG IN MODE_PAGAMENT.MOD_PAG_ID%type
, RSP OUT VARCHAR2  
) AS
  u_id USUARI.USUARI_ID%type;
  data date;
  op_id OPERADOR.OP_ID%type; 
  preu TARIFA.PREU%type;
  pais_usuari usuari.pais%TYPE;
  s_op_id SISTEMA_OPERATIU.SIST_OP_ID%type;
  mo MODEL.MODEL_ID%type;
  ma MODEL.MARCA%type;
  taula VARCHAR2(100);
BEGIN
  BEGIN
    -- Trobar data actual, que ser la de la descrrega.
    SELECT SYSDATE INTO data FROM DUAL;
    
    -- Trobar marca, model i usuari, a partir del dispositiu
    taula := 'DISPOSITIU';
    select usuari, model, marca into u_id, mo, ma from dispositiu
      where  imei = p_dispositiu;
      
    -- Verificar existncia d'usuari ( pot ser null si esborrat)
    taula := 'USUARI';
    select 'OK' into RSP from usuari where usuari_id = u_id;  
    
    -- Trobar operador i pais a partir de l'usuari
    select operador, pais into op_id, pais_usuari from usuari 
      where usuari_id = u_id;
      
    -- Verificar existncia de versi
    taula := 'VERSIO';
    select 'OK' into RSP from versio
      where aplicacio=p_aplicacio and versio_id=p_versio;
    
    -- Trobar preu de l'aplicaci (o assignar directament el del parmetre si no
    -- s NULL)
    preu := p_preu;
    if preu is null then
      taula := 'TARIFA';
      select preu into preu from tarifa where aplicacio = p_aplicacio and
                                              pais = pais_usuari;
    end if;

    select sist_op into s_op_id from model where model_id = mo and marca = ma;
    
    -- Check existencia de FITXER
    taula := 'FITXER';
    select 'OK' into RSP from fitxer 
            where aplicacio = p_aplicacio and
                  versio = p_versio and
                  sist_op = s_op_id;      
    
    -- Inserci de la descrrega
    insert into descarrega (DATA,USUARI,IMEI,OPERADOR,APLICACIO,VERSIO,
                            SIST_OP,PREU,MOD_PAG,PAIS)
       values (data, u_id, p_dispositiu, op_id, p_aplicacio, p_versio, 
                    s_op_id, preu, mod_pag,pais_usuari);
               
    exception
      when NO_DATA_FOUND then
        RSP := 'ERROR ' || text_error(SQLERRM||' ('||taula||')');

      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;
  LOGGING(
    p_APLICACIO||' | '||p_VERSIO||' | '||p_DISPOSITIU||' | '||p_PREU||' | '||
    MOD_PAG,
    RSP
  );
    
END DESCARREGA_A;

/

/
--------------------------------------------------------
--  DDL for Procedure DESENVOLUPADOR_A
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "DESENVOLUPADOR_A" 
/*******************************************************************************
 Afegeix un nou desenvolupador. Si existeix com a usuari, actualitza els 
 atributs. Si no existeix, el dona d'alta.
    
  Parmetres. 
  
    Entrada:
     p_email:       Adrea e-mail. String. 
     p_nom          Nom de l'usuari. String
     p_cognoms      Cognoms de l'usuari. String
     p_nif          NIF de l'usuari. String
     p_num_tel      Nm. de telfon (sense prefix internacional). String
     p_pais         Codi Pais de l'usuari (ISO 3166-1 alfa-2). String
     p_operador     Codi de l'operador. String de OPERADOR.OPERADOR_ID
     p_idioma       Codi de l'idioms preferit (ISO-639-2). String
     p_companyia    Companyia del desenvolupador. String de COMPANYIA.COMPANYIA_ID
     
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:
    TFC-011: Ja existeix un desenvolupador amb aquest e-mail
    TFC-003: Ja existeix un usuari amb aquest telfon
    TFC-002: Ja existeix un usuari amb aquests NIF i pas
    TFC-012: Codi de companyia inexistent
    TFC-004: Codi d'idioma inexistent
    TFC-005: codi de pas inexistent
    TFC-006: Codi d'operador inexistent
    TFC-007: Adrea e-mail incorrecte
    TFC-008: Nmero de telfon incorrecte 
*******************************************************************************/
  (p_email IN USUARI.email%type, 
   p_nom in usuari.nom%type,
   p_cognoms in usuari.cognoms%type, 
   p_nif in usuari.nif%type,
   p_num_tel IN usuari.num_tel%type,
   p_pais IN usuari.pais%type, 
   p_operador IN usuari.operador%type,
   p_idioma IN usuari.idioma%type, 
   p_companyia IN companyia.companyia_id%type,
   RSP OUT varchar2)
AS
  u_id usuari.usuari_id%type;
  p_email_l usuari.email%type;
  n integer;
BEGIN
  p_email_l := lower(p_email);
  RSP := 'OK';
  BEGIN
    --alta com a usuari

    select count(*) into n from usuari where email = p_email_l; 

    if n>0 then
      --si ja existia usuari amb aquest email, actualitzar atributs.
      update usuari set num_tel = p_num_tel, nom = p_nom, 
         cognoms = p_cognoms, nif = p_nif, pais = p_pais, 
         operador = p_operador, idioma = p_idioma
        where email = p_email_l;
    else
       Insert into USUARI (NUM_TEL, NOM, COGNOMS, NIF, OPERADOR, PAIS,
                          EMAIL, IDIOMA) values ( 
       p_num_tel, p_nom, p_cognoms, p_nif, p_operador, p_pais, 
       p_email_l, p_idioma ); 
    end if;

    -- Alta com a desenvolupador
    select usuari_id into u_id from usuari where email=p_email_l;
    insert into desenvolupador (usuari, companyia) values (u_id, p_companyia);

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);
 
  END;
  
  LOGGING (
   p_email||' | '||p_nom||' | '||p_cognoms||' | '||p_nif||' | '||
   p_num_tel||' | '||p_pais||' | '||p_operador||' | '||p_idioma||' | '|| 
   p_companyia,
   RSP
  );
END DESENVOLUPADOR_A;

/

/
--------------------------------------------------------
--  DDL for Procedure DESENVOLUPADOR_B
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "DESENVOLUPADOR_B" 
/*******************************************************************************
  Fa la baixa d'un desenvolupador identificat per la seva adrea e-mail.
  No elimina l'usuari associat. 
  
  Parmetres.
    Entrada:
      P_EMAIL:        e-mail del desenvolupador a eliminar. String

    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
    Els errors possibles sn:
    
               No existeix cap usuari amb aquest e-mail
               
               No es pot esborrar perqu s autor d'alguna versi
*******************************************************************************/
(
  P_EMAIL IN USUARI.EMAIL%TYPE  
, RSP OUT VARCHAR2  
) AS 
  u_id usuari.usuari_id%type;
BEGIN
  BEGIN
    select usuari_id into u_id from usuari where EMAIL = lower(P_EMAIL);
    select 'OK' into RSP from desenvolupador where usuari = u_id; --Verificar existncia
    delete from desenvolupador where usuari = u_id;

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;
  LOGGING(p_email, rsp);
END DESENVOLUPADOR_B;

/

/
--------------------------------------------------------
--  DDL for Procedure DESENVOLUPADOR_M
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "DESENVOLUPADOR_M" 
/*******************************************************************************
 Modifica un desenvolupador identificat per la seva adrea e-mail. 
 Actualitza els seus atributs d'usuari i de desenvolupador
    
  Parmetres. 
  
    Entrada:
     p_email:       Adrea e-mail que identifica al desenvolupador. String. 
     p_nom          Nom de l'usuari. String
     p_cognoms      Cognoms de l'usuari. String
     p_nif          NIF de l'usuari. String
     p_num_tel      Nm. de telfon (sense prefix internacional). String
     p_pais         Codi Pais de l'usuari (ISO 3166-1 alfa-2). String
     p_operador     Codi de l'operador. String de OPERADOR.OPERADOR_ID
     p_idioma       Codi de l'idioms preferit (ISO-639-2). String
     p_nouemail     Nova adrea e-mail. Es convertir a minscules. 
     p_companyia    Companyia del desenvolupador. String de COMPANYIA.COMPANYIA_ID
     
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                    
  Els errors possibles sn:
    TFC-003: Ja existeix un usuari amb aquest telfon
    TFC-002: Ja existeix un usuari amb aquests NIF i pas
    TFC-012: Codi de companyia inexistent
    TFC-004: Codi d'idioma inexistent
    TFC-005: codi de pas inexistent
    TFC-006: Codi d'operador inexistent
    TFC-007: Adrea e-mail incorrecte
    TFC-008: Nmero de telfon incorrecte     
    TFC-014: No existeix cap desenvolupador amb l'adrea e-mail
    TFC-001: Ja existeix un usuari amb aquest e-mail
*******************************************************************************/
  (p_email IN USUARI.email%type, 
   p_nom IN USUARI.NOM%type,
   p_cognoms IN USUARI.COGNOMS%type, 
   p_nif IN USUARI.NIF%type,
   p_num_tel IN usuari.num_tel%type,
   p_pais IN usuari.pais%type, 
   p_operador IN usuari.operador%type,
   p_idioma IN usuari.idioma%type, 
   p_nouemail IN USUARI.email%type,
   p_companyia IN DESENVOLUPADOR.COMPANYIA%TYPE,
   RSP OUT varchar2) AS 
   u_id usuari.usuari_id%type;
   p_email_l usuari.email%type;
BEGIN 
  p_email_l := lower(p_email);

  BEGIN
    --Verifica existncia
    select usuari_id into u_id from usuari where EMAIL = p_email_l;
    select 'OK' into RSP from desenvolupador where usuari = u_id; 
    --Actualitza atributs d'usuari
    update usuari set nom = p_nom, cognoms = p_cognoms, nif = p_nif, 
                      num_tel = p_num_tel, pais = p_pais, 
                      operador = p_operador, idioma = p_idioma,
                      email = lower(p_nouemail)
                  where usuari_id = u_id;
    --Actualitza atributs de desenvolupador
    update desenvolupador set companyia = p_companyia where usuari = u_id;

    exception
      when others then

        RSP := 'ERROR ' || text_error(SQLERRM);
  END;
  LOGGING(
    p_email||' | '||p_nom||' | '||p_cognoms||' | '||p_nif||' | '||
    p_num_tel||' | '||p_pais||' | '||p_operador||' | '||p_idioma||' | '||
    p_nouemail||' | '||p_companyia,
    RSP
  );
END DESENVOLUPADOR_M;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_1_NDESCARREGUES
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_1_NDESCARREGUES" 
(
  p_ndescarregues OUT integer  
, RSP OUT VARCHAR2  
) AS 

BEGIN
  rsp:='OK';

  begin
    select NDESCARREGUES into p_ndescarregues from E_TOTAL;

    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(null, p_ndescarregues||' | '||rsp);
END EST_1_NDESCARREGUES;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_2_FACTURACIO
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_2_FACTURACIO" 
(
  p_facturacio OUT E_TOTAL.FACTURACIO%type  
, RSP OUT VARCHAR2  
) AS 

BEGIN
  rsp:='OK';
 
  begin
    select FACTURACIO into p_facturacio from E_TOTAL;

    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(null, p_facturacio||' | '||rsp);
END EST_2_FACTURACIO;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_3_MITJANA_AP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_3_MITJANA_AP" 
(
  p_any in varchar2
, p_mitjana OUT number  
, RSP OUT VARCHAR2  
) AS 

BEGIN
  rsp:='OK';
  begin
    select naplicacions/nusuaris into p_mitjana from e_any
      where year=p_any;

    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any, p_mitjana||' | '||rsp);
END EST_3_MITJANA_AP;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_4_COMPANYIA_LEADER
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_4_COMPANYIA_LEADER" 
(
  p_any in varchar2
, p_companyia out varchar2  
, p_ndescarregues out number
, RSP OUT VARCHAR2  
) AS 

BEGIN
  rsp:='OK';

  begin
    select companyia, ndescarregues into p_companyia, p_ndescarregues 
      from (select * from e_any_desenv where year=p_any and leaderany='Y')
      where rownum=1;     

    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any, p_companyia||' | '||p_ndescarregues||' | '||rsp);
END EST_4_COMPANYIA_LEADER;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_5_APP_LEADER
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_5_APP_LEADER" 
(
  p_any in varchar2
, p_aplicacio out varchar2  
, p_companyia out varchar2
, RSP OUT VARCHAR2  
) AS
BEGIN
  rsp:='OK'; 
  begin
    select aplicacio, companyia into p_aplicacio, p_companyia 
      from (
        select * 
          from e_any_app e inner join aplicacio a on e.aplicacio=a.aplicacio_id 
          where e.year=p_any and e.leaderany='Y'
      ) where rownum=1;

    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any, p_aplicacio||' | '||p_companyia||' | '||rsp);
END EST_5_APP_LEADER;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_6_NUSUARIS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_6_NUSUARIS" 
(
  p_any in varchar2
, p_pais in varchar2
, p_nusuaris out number  
, RSP OUT VARCHAR2  
) AS 
BEGIN
  RSP:='OK';
  begin
    select nusuaris into p_nusuaris 
      from e_any_pais
      where year=p_any and pais=p_pais;
    
    exception 
      when NO_DATA_FOUND then
        p_nusuaris := 0;

      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any||' | '||p_pais, p_nusuaris||' | '||rsp);
END EST_6_NUSUARIS;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_7_FACTURACIO
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_7_FACTURACIO" 
(
  p_any in varchar2
, p_pais in varchar2
, p_facturacio out number  
, RSP OUT VARCHAR2  
) AS 
BEGIN
  rsp:='OK';
  begin
    select facturacio into p_facturacio 
      from e_any_pais
      where year=p_any and pais=p_pais;
    
    exception 
      when NO_DATA_FOUND then
        p_facturacio := 0;

      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any||' | '||p_pais, p_facturacio||' | '||rsp);
END EST_7_FACTURACIO;

/

/
--------------------------------------------------------
--  DDL for Procedure EST_8_NAPPS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "EST_8_NAPPS" 
(
  p_any in varchar2
, p_pais in varchar2
, p_napps out number  
, RSP OUT VARCHAR2  
) AS 
BEGIN
  rsp:='OK';
  begin
    select naplicacions into p_napps
      from e_any_pais
      where year=p_any and pais=p_pais;
    
    exception 
      when no_data_found then
        p_napps := 0;

      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  logging(p_any||' | '||p_pais, p_napps||' | '||rsp);
END EST_8_NAPPS;

/

/
--------------------------------------------------------
--  DDL for Procedure LLISTAT_A_DESENVOLUPADORS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LLISTAT_A_DESENVOLUPADORS" 
/*******************************************************************************
  Llista desenvolupadors d'un pas (amb les seves dades i el nombre 
  de versions publicades)
  
  Parmetres. 
    Entrada:
      P_PAIS:         Codi de pas. String (ISO 3166-1 alfa-2)

    Sortida:
      p_taula:        Taula UDT amb el resultat.
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
    TFC-005: Codi de pas inexistent          
*******************************************************************************/
(
  p_pais in pais.pais_id%type, 
  p_taula  out LLISTAT_A_T, 
  RSP OUT VARCHAR2
) as 
  CURSOR cur (p varchar2) IS 
  ------------------------------------------------------------------------------
      select u.nom
    , u.cognoms, u.nif, u.prefix_tel||u.num_tel as telefon, 
           d.companyia, c.nom as nom_companyia,  
           u.email, u.pais, u.idioma,  ( 
              select count(*) from autoria where desenvolupador = d.usuari    
           ) as n_versions  
    from desenvolupador d inner join usuari u on u.usuari_id = d.usuari       
                      inner join companyia c on c.companyia_id = d.companyia  
    where u.pais = p;
  ------------------------------------------------------------------------------
BEGIN
  begin
    select 'OK' into rsp from pais where pais_id = p_pais;
    p_taula := LLISTAT_A_T();
    FOR rec IN cur(p_pais) LOOP
      p_taula.extend; 
      p_taula(p_taula.count) := llistat_A(
        rec.nom,
        rec.cognoms, 
        rec.nif,
        rec.telefon ,
        rec.companyia ,
        rec.nom_companyia , 
        rec.email , 
        rec.pais , 
        rec.idioma ,
        rec.n_versions );
    END LOOP;
    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);
  end;
  logging(p_pais, rsp);
END LLISTAT_A_DESENVOLUPADORS;

/

/
--------------------------------------------------------
--  DDL for Procedure LLISTAT_B_APLICACIONS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LLISTAT_B_APLICACIONS" (
/*******************************************************************************
 Llista aplicacions actives (amb les seves dades principals), ordenat pel 
 nombre total de descrregues que han tingut.
  
  Parmetres. 
    Entrada:
      (cap)
      
    Sortida:
      P_TAULA:        Taula UDT on resta el resultat.
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
    (Cap de previst)        
*******************************************************************************/
  p_taula  out LLISTAT_B_T, 
  RSP OUT VARCHAR2 
)
as 
  CURSOR cur  IS 
  ------------------------------------------------------------------------------
    select a.aplicacio_id, a.nom, a.companyia, 
      c.nom as nom_companyia, a.video_link,  
      (select count(*) from descarrega d 
        where d.aplicacio = a.aplicacio_id) as n_desc
      from aplicacio a inner join companyia c on a.companyia = c.companyia_id
      where exists (
        select activa from versio v 
          where v.aplicacio = a.aplicacio_id and v.activa = 'Y'
        )
      order by n_desc desc;
  ------------------------------------------------------------------------------
BEGIN
  rsp:='OK';
  begin
    p_taula := LLISTAT_B_T();
    FOR rec IN cur LOOP
      p_taula.extend;
      p_taula(p_taula.count) := llistat_B( 
          rec.APLICACIO_ID, 
          rec.NOM,
          rec.COMPANYIA,
          rec.NOM_COMPANYIA,
          rec.VIDEO_LINK,
          rec.N_DESC);
    END LOOP;
    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);

  end;
  LOGGING(null, RSP);
END LLISTAT_B_APLICACIONS;

/

/
--------------------------------------------------------
--  DDL for Procedure LLISTAT_C_PAISOS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LLISTAT_C_PAISOS" 
/*******************************************************************************
 Llista pasos on sha descarregat una aplicaci en un any concret, 
 amb el nombre de descrregues de cada pas. El pas es calcula en funci 
 de l'operador.
  
  Parmetres. 
    Entrada:
      p_aplicacio: Codi de l'aplicaci
      p_any:       Any
      
    Sortida:
      P_TAULA:        Taula UDT on resta el resultat.
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
  TFC-019: Aplicaci i/o versi inexistent          
*******************************************************************************/
(
  p_aplicacio in aplicacio.aplicacio_id%type,
  p_any in varchar2,
  p_taula  out LLISTAT_C_T, 
  RSP OUT VARCHAR2  
) AS 

  CURSOR cur (app varchar2, year varchar2) IS 
  ------------------------------------------------------------------------------
  select o.pais, count(*) as n_desc
      from descarrega d inner join operador o on o.op_id = d.operador
      where d.aplicacio = app and to_char(d.data, 'YYYY') = year group by o.pais;
  ------------------------------------------------------------------------------
BEGIN
  BEGIN
    select 'OK' into RSP from aplicacio where aplicacio_id=p_aplicacio;
    p_taula := LLISTAT_C_T();
    FOR rec IN cur(p_aplicacio, p_any) LOOP
      p_taula.extend;
      p_taula(p_taula.count) := llistat_C(rec.pais, rec.n_desc);
    END LOOP;
    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);
  END;
  LOGGING(p_aplicacio||' | '||p_any, RSP);
END LLISTAT_C_PAISOS;

/

/
--------------------------------------------------------
--  DDL for Procedure LLISTAT_D_DESCARREGUES
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LLISTAT_D_DESCARREGUES" 
/*******************************************************************************
 Llista les descrregues d'un usuari (identificat pel seu nmero detelfon) amb
 les dades principals.
  
  Parmetres. 
    Entrada:
      p_telefon:   Nm telfon
      p_any:       Any
      
    Sortida:
      P_TAULA:        Taula UDT on resta el resultat.
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
           
*******************************************************************************/
(
  p_telefon in varchar2
, P_TAULA OUT llistat_d_t  
, RSP OUT VARCHAR2  
) AS 
  CURSOR cur (nt varchar2) IS 
  ------------------------------------------------------------------------------
      select 
        de.data as data_descarrega,
        de.aplicacio,
        ap.nom as nom_aplicacio,
        ap.companyia,
        co.nom as nom_companyia,
        de.versio,
        de.sist_op,
        so.nom as nom_sist_op,
        fi.unc_link as nom_fitxer,
        fi.mida,
        di.imei,
        di.marca,
        ma.nom as nom_marca,
        di.model,
        mo.nom as nom_model,
        de.operador,
        op.nom as nom_operador,
        op.pais,
        de.preu,
        de.mod_pag,
        mp.nom as mode_pagament
      
        from descarrega de 
        inner join dispositiu di on di.imei = de.imei
        inner join marca ma on ma.marca_id = di.marca
        inner join model mo on mo.marca = di.marca
                          and mo.model_id = di.model
        inner join usuari us on de.usuari = us.usuari_id
        inner join operador op on de.operador = op.op_id
        inner join sistema_operatiu so on so.sist_op_id = de.sist_op
        inner join fitxer fi on fi.aplicacio = de.aplicacio 
                           and fi.versio = de.versio
                           and fi.sist_op = de.sist_op
        inner join mode_pagament mp on mp.mod_pag_id = de.mod_pag
        inner join aplicacio ap on ap.aplicacio_id = de.aplicacio
        inner join companyia co on co.companyia_id = ap.companyia
        where us.prefix_tel||us.num_tel = nt;
  ------------------------------------------------------------------------------
BEGIN
  begin
    select 'OK' into rsp from usuari us
      where us.prefix_tel||us.num_tel = p_telefon;
    p_taula := LLISTAT_D_T();
    FOR rec IN cur(p_telefon) LOOP
      p_taula.extend;
      p_taula(p_taula.count) := llistat_D(
        rec.data_descarrega  , 
        rec.aplicacio ,
        rec.nom_aplicacio ,
        rec.companyia ,
        rec.nom_companyia ,
        rec.versio ,
        rec.sist_op  ,
        rec.nom_sist_op ,
        rec.nom_fitxer ,
        rec.mida  , 
        rec.imei   ,
        rec.marca ,
        rec.nom_marca,
        rec.model,
        rec.nom_model,
        rec.operador,
        rec.nom_operador,
        rec.pais,
        rec.preu,
        rec.mod_pag,
        rec.mode_pagament);
    END LOOP;
    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);
      
  end;
  logging(p_telefon, rsp);
END LLISTAT_D_DESCARREGUES;

/

/
--------------------------------------------------------
--  DDL for Procedure LLISTAT_E_USUARIS
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LLISTAT_E_USUARIS" 
/*******************************************************************************
  Llista els 20 usuaris que ms diners s'han gastat en aplicacions mbils
  en un any determinat
  
  Parmetres. 
    Entrada:
      P_ANY:         Any. String(4)

    Sortida:
      p_taula:       Taula UDT amb el resultat.
      RSP:           Status d'acabament. String. 'OK' si s correcte.
                     Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
    (Cap de previst)        
*******************************************************************************/
(
  P_ANY IN varchar2  
, P_TAULA OUT LLISTAT_E_T  
, RSP OUT VARCHAR2  
) AS
  CURSOR cur (year varchar2) IS 
  ------------------------------------------------------------------------------
      select * from (
        select u.prefix_tel||u.num_tel as telefon, 
               u.email, u.nom, u.cognoms, d.val 
          from (
            select usuari, sum(preu) as val from descarrega 
              where to_char(data, 'YYYY')= year
              group by usuari
          ) d inner join usuari u on u.usuari_id = d.usuari
          order by d.val desc
      ) where rownum <=20;
  ------------------------------------------------------------------------------
BEGIN
  begin
    rsp:='OK';
    p_taula := LLISTAT_E_T();
    FOR rec IN cur(p_any) LOOP
      p_taula.extend;
      p_taula(p_taula.count) := llistat_E(
        rec.telefon ,
        rec.email , 
        rec.nom , 
        rec.cognoms , 
        rec.val );
    END LOOP;
    exception when others then
      RSP := 'ERROR ' || text_error(SQLERRM);
  end;
  logging(p_any, rsp);
END LLISTAT_E_USUARIS;

/

/
--------------------------------------------------------
--  DDL for Procedure LOGGING
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "LOGGING" 
/**********************************************************************
  Insereix un registre en la taula de log (LOG)
  Parmetres entrada:
  pentrada:    string format pels parmetres d'entrada del procediment 
               separats per ' | '
  Parmetres sortida:
  psortida:    string format pels parmetres de sortida del procediment 
               separats per ' | '
***********************************************************************/
(
  PENTRADA IN VARCHAR2  
, PSORTIDA IN VARCHAR2  
) AS 
 PRAGMA AUTONOMOUS_TRANSACTION; -- Independitza la transacci de la del
                                -- procediment que crida.
 owner      VARCHAR2 (1000);
 NAME       VARCHAR2 (1000);
 lineno     NUMBER;
 caller_t   VARCHAR2 (1000);
BEGIN
  OWA_UTIL.who_called_me (owner, NAME, lineno, caller_t);
  insert into log (procediment, pentrada, psortida) values (
  NAME, PENTRADA, PSORTIDA);
  commit;
  exception
    when others then
      rollback;
END LOGGING;

/

/
--------------------------------------------------------
--  DDL for Procedure RECALC_LEADER_ANY_APP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "RECALC_LEADER_ANY_APP" 
/**********************************************************************
Procediment privat que calcula l'aplicaci leader en descrregues 
d'un any determinat

Parmetres entrada: 

  p_year: Any a calcular. String(4)
***********************************************************************/
(
  p_YEAR IN VARCHAR2  
) AS 
BEGIN
    -- Actualitzar leader(s) anual(s) en descrregues
  update e_any_app set leaderany='N' where year=p_year and leaderany='Y';
  update E_ANY_APP set leaderany='Y' 
    where year=p_year and facturacio=(
      select max(facturacio) from E_ANY_APP
        where year=p_year);

END RECALC_LEADER_ANY_APP;

/

/
--------------------------------------------------------
--  DDL for Procedure RECALC_LEADER_ANY_DESENV
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "RECALC_LEADER_ANY_DESENV" 
/**********************************************************************
Procediment privat que calcula el desenvolupador leader en descrregues 
d'un any determinat

Parmetres entrada:

  p_year: Any a calcular. String(4)
***********************************************************************/
(
  p_YEAR IN VARCHAR2  
) AS 
BEGIN
    -- Actualitzar leader(s) anual(s) en descrregues
  update E_ANY_DESENV set leaderany='N' where year=p_year and leaderany='Y';
  update E_ANY_DESENV set leaderany='Y' 
    where year=p_year and ndescarregues=(
      select max(ndescarregues) from E_ANY_DESENV 
        where year=p_year);

END RECALC_LEADER_ANY_DESENV;

/

/
--------------------------------------------------------
--  DDL for Procedure USUARI_A
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "USUARI_A" 
/*******************************************************************************
 Afegeix un nou usuari.
    
  Parmetres. 
  
    Entrada:
     p_email:       Adrea e-mail. String. 
     p_nom          Nom de l'usuari. String
     p_cognoms      Cognoms de l'usuari. String
     p_nif          NIF de l'usuari. String
     p_num_tel      Nm. de telfon (sense prefix internacional). String
     p_pais         Codi Pais de l'usuari (ISO 3166-1 alfa-2). String
     p_operador     Codi de l'operador. String de OPERADOR.OPERADOR_ID
     p_idioma       Codi de l'idioms preferit (ISO-639-2). String
     
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:
    
    TFC-001: Ja existeix un usuari amb aquest e-mail
    TFC-003: Ja existeix un usuari amb aquest telfon
    TFC-002: Ja existeix un usuari amb aquests NIF i pas
    TFC-004: Codi d'idioma inexistent
    TFC-005: Codi de pas inexistent
    TFC-006: Codi d'operador inexistent  
    TFC-007: Adrea e-mail incorrecte               
    TFC-008: Nmero de telfon incorrecte 
*******************************************************************************/
  (email in usuari.email%type, 
   nom in usuari.nom%type,
   cognoms in usuari.cognoms%type, 
   nif in usuari.nif%type,
   num_tel IN usuari.num_tel%type,
   pais IN usuari.pais%type, 
   operador IN usuari.operador%type,
   idioma IN usuari.idioma%type,
   RSP OUT varchar2) AS 
   email_l usuari.email%type;
BEGIN 
  -- convertir e-mail a minscules
  email_l := lower(email);
  -- Parmetre de retorn, en principi OK
  RSP := 'OK';
  BEGIN
  -- Inserci usuari
  Insert into USUARI (NUM_TEL, NOM, COGNOMS,NIF,
                          OPERADOR,PAIS,EMAIL,IDIOMA) values ( 
         num_tel, nom, cognoms, nif, operador, pais, email_l, idioma ); 

  exception
    when others then
      RSP := 'ERROR ' || text_error(SQLERRM);
 
  END;
  -- log de la crida
  LOGGING(
    email||' | '||nom||' | '||cognoms||' | '||nif||' | '||num_tel||' | '||
    pais||' | '||operador||' | '||idioma,
    RSP
  );
END USUARI_A;

/

/
--------------------------------------------------------
--  DDL for Procedure USUARI_B
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "USUARI_B" 
/*******************************************************************************
  Fa la baixa d'un usuari identificat per la seva adrea e-mail.
  
  Parmetres. 
    Entrada:
      P_EMAIL:        e-mail del usuari a eliminar. String

    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:    
    TFC-009: No existeix cap usuari amb aquest e-mail           
    TFC-010: Usuari no es pot esborrar perqu s un desenvolupador
*******************************************************************************/

(
  p_email IN usuari.email%type  
, RSP OUT VARCHAR2  
) AS 
p_email_l usuari.email%type;
BEGIN
  p_email_l := lower(p_email);
  BEGIN
    select 'OK' into RSP from usuari where email = p_email_l; --Verificar existncia
    delete from usuari where email = p_email_l;

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END; 
  
  LOGGING(p_email, RSP);
  
END USUARI_B;

/

/
--------------------------------------------------------
--  DDL for Procedure USUARI_M
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "USUARI_M" 
/*******************************************************************************
 Modifica els atributs d'un usuari identificat per la seva adrea e-mail.
    
  Parmetres. 
  
    Entrada:
     p_email:       Adrea e-mail de l'usuari a modificar. String. 
     p_nom          Nom de l'usuari. String
     p_cognoms      Cognoms de l'usuari. String
     p_nif          NIF de l'usuari. String
     p_num_tel      Nm. de telfon (sense prefix internacional). String
     p_pais         Codi Pais de l'usuari (ISO 3166-1 alfa-2). String
     p_operador     Codi de l'operador. String de OPERADOR.OPERADOR_ID
     p_idioma       Codi de l'idioms preferit (ISO-639-2). String
     p_nouemail     Nova adrea e-mail de l'usuari. String
     
    Sortida:
      RSP:            Status d'acabament. String. 'OK' si s correcte.
                      Altrament: 'ERROR ' + Descripci
                      
  Els errors possibles sn:
    
    TFC-001: Ja existeix un usuari amb aquest e-mail
    TFC-002: Ja existeix un usuari amb aquests NIF i pas
    TFC-003: Ja existeix un usuari amb aquest telfon
    TFC-004: Codi d'idioma inexistent
    TFC-005: Codi de pas inexistent
    TFC-006: Codi d'operador inexistent  
    TFC-007: Adrea e-mail incorrecte               
    TFC-008: Nmero de telfon incorrecte 
    TFC-009: No existeix cap usuari amb aquest e-mail
*******************************************************************************/

  (p_email IN USUARI.email%type, 
   p_nom IN USUARI.NOM%type,
   p_cognoms IN USUARI.COGNOMS%type, 
   p_nif IN USUARI.NIF%type, 
   p_num_tel IN usuari.num_tel%type,
   p_pais IN usuari.pais%type, 
   p_operador IN usuari.operador%type,
   p_idioma IN usuari.idioma%type,
   p_nouemail IN USUARI.email%type,
   RSP OUT varchar2) AS 
p_email_l usuari.email%type;
BEGIN

  p_email_l := lower(p_email);
  BEGIN 
    select 'OK' into RSP from usuari where email = p_email_l; --Verifica existncia
    update usuari set nom = p_nom, cognoms = p_cognoms, nif = p_nif, 
                      num_tel = p_num_tel, pais = p_pais, 
                      operador = p_operador, idioma = p_idioma,
                      email = lower(p_nouemail)
                  where email = p_email_l;

    exception
      when others then
        RSP := 'ERROR ' || text_error(SQLERRM);

  END;
  LOGGING(
    p_email||' | '||p_nom||' | '||p_cognoms||' | '||p_nif||' | '||p_num_tel
    ||' | '||p_pais||' | '||p_operador||' | '||p_idioma||' | '||p_nouemail,
    RSP
  );
END USUARI_M;

/

/
